/*
Navicat MySQL Data Transfer

Source Server         : localhost
Source Server Version : 50731
Source Host           : localhost:3306
Source Database       : single-matter

Target Server Type    : MYSQL
Target Server Version : 50731
File Encoding         : 65001

Date: 2025-03-20 11:31:30
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for mortals_iot_area
-- ----------------------------
DROP TABLE IF EXISTS `mortals_iot_area`;
CREATE TABLE `mortals_iot_area` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id号',
  `areaCode` char(32) DEFAULT NULL COMMENT '区域编码',
  `name` varchar(64) DEFAULT NULL COMMENT '区域名称',
  `areaLevel` char(2) DEFAULT NULL COMMENT '区域等级，1省，2地市州，3区县，4街道，5社区',
  `haveSonArea` char(5) DEFAULT NULL COMMENT '是否有下级区域',
  `haveSonDept` char(5) DEFAULT NULL COMMENT '是否有下级部门',
  `shortName` varchar(64) DEFAULT NULL COMMENT '名称简称',
  `domain` varchar(1024) DEFAULT NULL COMMENT '访问地址',
  `iid` char(32) DEFAULT NULL COMMENT '一体化的ID号',
  `pid` char(32) DEFAULT NULL COMMENT '一体化的父id',
  `haveGetDept` char(5) DEFAULT NULL COMMENT '是否获取部门',
  `haveGetMatterList` char(5) DEFAULT NULL COMMENT '是否获取事项列表',
  `updateTime` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=MyISAM AUTO_INCREMENT=36359 DEFAULT CHARSET=utf8 COMMENT='区域表';

-- ----------------------------
-- Table structure for mortals_iot_matters
-- ----------------------------
DROP TABLE IF EXISTS `mortals_iot_matters`;
CREATE TABLE `mortals_iot_matters` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id号',
  `areaCode` char(32) DEFAULT NULL COMMENT '区域编码',
  `deptCode` char(32) DEFAULT NULL COMMENT '部门编号',
  `powerCode` char(3) DEFAULT NULL COMMENT '行政权力编号',
  `themeCode` char(128) DEFAULT NULL COMMENT '主题编号',
  `usertypeCode` char(3) DEFAULT NULL COMMENT '服务类型编号',
  `matterCode` char(64) DEFAULT NULL COMMENT '事项编号',
  `name` varchar(256) DEFAULT NULL COMMENT '事项名称',
  `groupName` varchar(256) DEFAULT NULL COMMENT '事项组名',
  `url` varchar(1024) DEFAULT NULL COMMENT '事项详情链接',
  `haveGetMatterInfo` char(5) DEFAULT NULL COMMENT '是否获取事项详情',
  `updateTime` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='事项列表';

-- ----------------------------
-- Table structure for mortals_iot_matters_dept
-- ----------------------------
DROP TABLE IF EXISTS `mortals_iot_matters_dept`;
CREATE TABLE `mortals_iot_matters_dept` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id号',
  `areaCode` char(32) DEFAULT NULL COMMENT '区域编号',
  `deptCode` char(32) DEFAULT NULL COMMENT '部门编号',
  `name` varchar(256) DEFAULT NULL COMMENT '部门名称',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='部门表';

-- ----------------------------
-- Table structure for mortals_iot_matters_detail
-- ----------------------------
DROP TABLE IF EXISTS `mortals_iot_matters_detail`;
CREATE TABLE `mortals_iot_matters_detail` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id号',
  `matterCode` char(64) DEFAULT NULL COMMENT '事项编号',
  `onlineUrl_zxsq` varchar(1024) DEFAULT NULL COMMENT '在线申请',
  `basicInfo_jbxx` text COMMENT '基本信息',
  `materials_sqcl` text COMMENT '申请材料',
  `conditions_sltj` text COMMENT '受理条件',
  `process_bllc` text COMMENT '办理流程',
  `charging_sfbz` text COMMENT '收费标准',
  `basis_sdyj` text COMMENT '设定依据',
  `intermediary_zjfw` text COMMENT '中介服务',
  `question_cjwt` text COMMENT '常见问题',
  `updateTime` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='事项详情表';

-- ----------------------------
-- Table structure for mortals_iot_matters_power
-- ----------------------------
DROP TABLE IF EXISTS `mortals_iot_matters_power`;
CREATE TABLE `mortals_iot_matters_power` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id号',
  `powerCode` char(3) DEFAULT NULL COMMENT '行政权力编号',
  `name` varchar(64) DEFAULT NULL COMMENT '行政权力名称',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='行政权力表';

-- ----------------------------
-- Table structure for mortals_iot_matters_theme
-- ----------------------------
DROP TABLE IF EXISTS `mortals_iot_matters_theme`;
CREATE TABLE `mortals_iot_matters_theme` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id号',
  `usertypeCode` char(3) DEFAULT NULL COMMENT '服务类型编号',
  `themeCode` char(3) DEFAULT NULL COMMENT '主题编号',
  `name` varchar(64) DEFAULT NULL COMMENT '主题名称',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='主题表';

-- ----------------------------
-- Table structure for mortals_iot_matters_usertype
-- ----------------------------
DROP TABLE IF EXISTS `mortals_iot_matters_usertype`;
CREATE TABLE `mortals_iot_matters_usertype` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id号',
  `usertypeCode` char(3) DEFAULT NULL COMMENT '服务类型编号',
  `name` varchar(64) DEFAULT NULL COMMENT '服务类型名称',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='服务类型表';

-- ----------------------------
-- Table structure for mortals_sys_approver
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_approver`;
CREATE TABLE `mortals_sys_approver` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `siteId` bigint(20) DEFAULT NULL COMMENT '站点id',
  `fullName` varchar(64) NOT NULL COMMENT '工作人员姓名',
  `phoneNumber` varchar(128) NOT NULL COMMENT '联系电话',
  `loginName` varchar(128) DEFAULT NULL COMMENT '登录用户名',
  `loginPwd` varchar(128) DEFAULT NULL COMMENT '登录密码',
  `deptId` bigint(20) DEFAULT NULL COMMENT '所属部门',
  `deptCode` varchar(128) DEFAULT NULL COMMENT '所属部门编码',
  `deptName` varchar(128) DEFAULT NULL COMMENT '所属部门名称',
  `remarks` varchar(255) DEFAULT NULL COMMENT '备注',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='单事项审批人员';

-- ----------------------------
-- Table structure for mortals_sys_area
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_area`;
CREATE TABLE `mortals_sys_area` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `ancestors` varchar(255) DEFAULT '' COMMENT '祖级列表，逗号分隔',
  `name` varchar(64) DEFAULT NULL COMMENT '区域名称',
  `iid` char(32) DEFAULT NULL COMMENT '一体化的ID号',
  `pid` char(32) DEFAULT NULL COMMENT '一体化的父id',
  `haveSonArea` char(5) DEFAULT NULL COMMENT '是否有下级区域（True.是，False.否）',
  `haveSonDept` char(5) DEFAULT NULL COMMENT '是否有下级部门（True.是，False.否）',
  `haveGetDept` char(5) DEFAULT NULL COMMENT '是否获取部门（true.是，false.否）',
  `haveGetMatterList` char(5) DEFAULT NULL COMMENT '是否获取事项列表（true.是，false.否）',
  `areaCode` char(32) DEFAULT NULL COMMENT '区域编码',
  `areaLevel` tinyint(2) DEFAULT '1' COMMENT '区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)',
  `shortName` varchar(64) DEFAULT NULL COMMENT '名称简称',
  `domain` varchar(1024) DEFAULT NULL COMMENT '访问地址',
  `status` tinyint(2) DEFAULT '1' COMMENT '区域状态 (0.停用，1.正常)',
  `createTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='区域表';

-- ----------------------------
-- Table structure for mortals_sys_base_area
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_base_area`;
CREATE TABLE `mortals_sys_base_area` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `ancestors` varchar(255) DEFAULT '' COMMENT '祖级列表，逗号分隔',
  `name` varchar(64) DEFAULT NULL COMMENT '区域名称',
  `iid` char(32) DEFAULT NULL COMMENT '一体化的ID号',
  `pid` char(32) DEFAULT NULL COMMENT '一体化的父id',
  `haveSonArea` char(5) DEFAULT NULL COMMENT '是否有下级区域（True.是，False.否）',
  `haveSonDept` char(5) DEFAULT NULL COMMENT '是否有下级部门（True.是，False.否）',
  `haveGetDept` char(5) DEFAULT NULL COMMENT '是否获取部门（true.是，false.否）',
  `haveGetMatterList` char(5) DEFAULT NULL COMMENT '是否获取事项列表（true.是，false.否）',
  `areaCode` char(32) DEFAULT NULL COMMENT '区域编码',
  `areaLevel` tinyint(2) DEFAULT '1' COMMENT '区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)',
  `shortName` varchar(64) DEFAULT NULL COMMENT '名称简称',
  `domain` varchar(1024) DEFAULT NULL COMMENT '访问地址',
  `status` tinyint(2) DEFAULT '1' COMMENT '区域状态 (0.停用，1.正常)',
  `createTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='区域表';

-- ----------------------------
-- Table structure for mortals_sys_business
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_business`;
CREATE TABLE `mortals_sys_business` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `parentId` bigint(20) DEFAULT NULL COMMENT '父级ID',
  `ancestors` varchar(255) DEFAULT '' COMMENT '祖级列表，逗号分隔',
  `isBusiness` tinyint(2) DEFAULT NULL COMMENT '业务类型(0.一级业务,1.二级业务)',
  `name` varchar(32) DEFAULT NULL COMMENT '业务名称',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `canorder` tinyint(2) DEFAULT '1' COMMENT '是否允许预约（1.允许，0.不允许）',
  `cantake` tinyint(2) DEFAULT '1' COMMENT '是否允许取号（1.允许，0.不允许）',
  `datashow` tinyint(2) DEFAULT '1' COMMENT '大厅情况展示 （1.展示，0.不展示）',
  `englishname` varchar(64) DEFAULT NULL COMMENT '英语业务名',
  `flownum` varchar(8) DEFAULT NULL COMMENT '流水编号如A、B',
  `businessType` tinyint(2) DEFAULT '1' COMMENT '业务类型 (0.一体化业务，1.自建业务)',
  `status` tinyint(2) DEFAULT '1' COMMENT '业务状态 (0.停用，1.正常)',
  `createTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='站点业务表';

-- ----------------------------
-- Table structure for mortals_sys_business_matter
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_business_matter`;
CREATE TABLE `mortals_sys_business_matter` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `siteId` bigint(20) DEFAULT NULL COMMENT '站点ID',
  `siteName` varchar(255) DEFAULT NULL COMMENT '站点名称',
  `siteBusinessId` bigint(20) DEFAULT NULL COMMENT '业务id',
  `siteBusinessName` varchar(64) DEFAULT NULL COMMENT '业务名称',
  `matterId` bigint(20) DEFAULT NULL COMMENT '事项id',
  `matterName` varchar(64) DEFAULT NULL COMMENT '事项名称',
  `createTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `siteId` (`siteId`) USING BTREE,
  KEY `matterId` (`matterId`) USING BTREE,
  KEY `siteBusinessId` (`siteBusinessId`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='业务事项关联表';

-- ----------------------------
-- Table structure for mortals_sys_dept
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_dept`;
CREATE TABLE `mortals_sys_dept` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `tid` varchar(128) DEFAULT NULL COMMENT '从政务系统来的部门id',
  `tname` varchar(128) DEFAULT NULL COMMENT '从政务系统来的部门name',
  `name` varchar(64) DEFAULT NULL COMMENT '部门名称',
  `simpleName` varchar(128) DEFAULT NULL COMMENT '从政务系统来的别名',
  `siteId` bigint(20) DEFAULT NULL COMMENT '站点ID',
  `deptAbb` varchar(32) DEFAULT NULL COMMENT '部门简称',
  `deptTelphone` varchar(32) DEFAULT NULL COMMENT '部门电话',
  `deptNumber` varchar(32) DEFAULT NULL COMMENT '部门编号',
  `isAutotable` tinyint(1) DEFAULT NULL COMMENT '填单机展示 (0.否，1.是) ',
  `isOrder` tinyint(1) DEFAULT NULL COMMENT '预约展示 (0.否，1.是) ',
  `isBkb` tinyint(1) DEFAULT NULL COMMENT '背靠背展示 (0.否，1.是) ',
  `isWorkGuide` tinyint(1) DEFAULT NULL COMMENT '办事指南展示 (0.否，1.是) ',
  `usValid` tinyint(1) DEFAULT NULL COMMENT '是否使用 (0.否，1.是) ',
  `isSecphone` tinyint(1) DEFAULT NULL COMMENT '部门电话是否展示 (0.否，1.是) ',
  `isEnglish` tinyint(1) DEFAULT NULL COMMENT '是否展示英文 (0.否，1.是) ',
  `sort` int(4) DEFAULT NULL COMMENT '排序',
  `source` tinyint(2) DEFAULT NULL COMMENT '部门来源',
  `total` int(9) DEFAULT '0' COMMENT '关联事项数量',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=34 DEFAULT CHARSET=utf8 COMMENT='部门';

-- ----------------------------
-- Table structure for mortals_sys_matter
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_matter`;
CREATE TABLE `mortals_sys_matter` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `siteId` bigint(20) DEFAULT NULL COMMENT '站点ID',
  `tid` varchar(128) DEFAULT NULL COMMENT '从政务系统来的事项id',
  `tcode` varchar(512) DEFAULT NULL COMMENT '从政务系统来的事项code',
  `tname` varchar(2048) DEFAULT NULL COMMENT '从政务系统来的事项name',
  `matterName` varchar(2048) DEFAULT NULL COMMENT '事项名称',
  `englishName` varchar(256) DEFAULT NULL COMMENT '英语事项名',
  `matterNo` varchar(512) DEFAULT NULL COMMENT '事项编号',
  `areaCode` varchar(255) DEFAULT NULL COMMENT '区域编码',
  `deptCode` varchar(255) DEFAULT NULL COMMENT '部门编号',
  `deptName` varchar(255) DEFAULT NULL COMMENT '部门名称',
  `powerCode` varchar(255) DEFAULT NULL COMMENT '行政权力编号',
  `themeCode` varchar(255) DEFAULT NULL COMMENT '主题编号',
  `usertypeCode` varchar(255) DEFAULT NULL COMMENT '服务类型编号',
  `groupName` varchar(255) DEFAULT NULL COMMENT '事项组名',
  `url` varchar(1024) DEFAULT NULL COMMENT '事项详情链接',
  `haveGetMatterInfo` varchar(20) DEFAULT NULL COMMENT '是否获取事项详情',
  `belongDept` varchar(64) DEFAULT NULL COMMENT '所属部门',
  `appoveObjectShow` varchar(64) DEFAULT NULL COMMENT '服务对象 （事业法人.事业法人，社会组织法人.社会组织法人，非法人企业.非法人企业，企业法人.企业法人，自然人.自然人，其他组织.其他组织）',
  `operatScopeShow` varchar(64) DEFAULT NULL COMMENT '通办范围 （无.无，全国.全国，全市.全市，全县.全县，全镇[乡 街道].全镇[乡 街道]，跨村[社区].跨村[社区]）',
  `appoveTimeLimitShow` varchar(16) DEFAULT NULL COMMENT '办件类型（网络办件.网络办件，行政审批一般件.行政审批一般件，综合窗口件.综合窗口件）',
  `handleType` varchar(12) DEFAULT NULL COMMENT '办理形式（窗口办理.窗口办理，网上办理.网上办理）	',
  `legalTimeLimitShow` varchar(32) DEFAULT NULL COMMENT '法定办结时限',
  `legalEndExplain` varchar(1024) DEFAULT NULL COMMENT '法定时限办结说明',
  `promiseTimeLimitShow` varchar(32) DEFAULT NULL COMMENT '承诺办结时限',
  `promiseEndExplain` varchar(1024) DEFAULT NULL COMMENT '承诺时限办结说明',
  `isChargesShow` varchar(16) DEFAULT NULL COMMENT '是否收费（否.否，是.是）',
  `certificationLevelsShow` varchar(64) DEFAULT NULL COMMENT '认证等级需求（实名认证.实名认证，单次面签.单次面签，每次面签.每次面签）',
  `planTakeTime` datetime DEFAULT NULL COMMENT '计划生效日期',
  `promiseTakeTime` datetime DEFAULT NULL COMMENT '承诺生效日期',
  `specialProcedure` varchar(64) DEFAULT NULL COMMENT '特别程序',
  `windowToTheSceneNum` tinyint(2) DEFAULT NULL COMMENT '窗口到现场次数',
  `isOnlineSubscribeShow` varchar(64) DEFAULT NULL COMMENT '是否网上预约,窗口办理选（否.否，是.是）',
  `isExpressTakeShow` varchar(16) DEFAULT NULL COMMENT '物流快递,窗口办理选（否.否，是.是）',
  `isProvinceAcquisitionShow` varchar(16) DEFAULT NULL COMMENT '是否支持全省范围就近取件（否.否，是.是）',
  `isApplyProvinceShow` varchar(16) DEFAULT NULL COMMENT '是否支持全省范围就近办理（否.否，是.是）',
  `mustSceneExplain` varchar(1024) DEFAULT NULL COMMENT '必须到现场原因',
  `onlineType` varchar(32) DEFAULT NULL COMMENT '网办类型（原件预审.原件预审，原件核验.原件核验，全程网办.全程网办）',
  `onlineToTheSceneNum` tinyint(2) DEFAULT NULL COMMENT '网办到现场次数',
  `onlineOperatDeep` varchar(1024) DEFAULT NULL COMMENT '网络办理深度（互联网咨询.互联网咨询，互联网收件.互联网收件，互联网预审.互联网预审，互联网受理.互联网受理，互联网办理.互联网办理，互联网办理结果信息反馈.互联网办理结果信息反馈，其他.其他）',
  `isExpressTakeOnlineShow` varchar(16) DEFAULT NULL COMMENT '物流快递，网上办理选（否.否，是.是）',
  `isDoorTakeShow` varchar(16) DEFAULT NULL COMMENT '是否支持上门收取申请（否.否，是.是）',
  `onlineMustSceneExplain` varchar(512) DEFAULT NULL COMMENT '网上必须到现场原因',
  `performDeptType` varchar(512) DEFAULT NULL COMMENT '实施主体',
  `matterEdition` varchar(32) DEFAULT NULL COMMENT '事项版本',
  `eventTypeShow` varchar(128) DEFAULT NULL COMMENT '事项类型名称（行政许可.行政许可，行政处罚.行政处罚，行政强制.行政强制，行政征收.行政征收，行政给付.行政给付，行政检查.行政检查，行政确认.行政确认，行政奖励.行政奖励，行政裁决.行政裁决，其他行政权力.其他行政权力，主动服务.主动服务，依申请服务.依申请服务，咨询查询.咨询查询，未归类事项.未归类事项）',
  `performHierarchyShow` varchar(128) DEFAULT NULL COMMENT '行使层级名称（省级.省级，市级.市级，县级.县级，镇[乡 街道].镇[乡 街道]，村[社区]级.村[社区]级）',
  `powerSourceShow` varchar(64) DEFAULT NULL COMMENT '权力来源（法定本级行使.法定本级行使，上级下放.上级下放，上级授权.上级授权，同级授权.同级授权，上级委托.上级委托，同级委托.同级委托）',
  `performDeptTypeShow` varchar(64) DEFAULT NULL COMMENT '实施主体性质（法定机关.法定机关，授权组织.授权组织，受委托组织.受委托组织）',
  `goveServiceCenterShow` varchar(16) DEFAULT NULL COMMENT '是否进驻中心（否.否，是.是）',
  `isConvenientCenterShow` varchar(16) DEFAULT NULL COMMENT '是否纳入便民服务中心（否.否，是.是）',
  `terminalHandle` varchar(20) DEFAULT NULL COMMENT '自助终端办理 （否.否，是.是）',
  `isOnline` varchar(20) DEFAULT NULL COMMENT '是否网办 （否.否，是.是）',
  `isOnlinePayShow` varchar(16) DEFAULT NULL COMMENT '支持网上支付（否.否，是.是）',
  `entrustmentDepartmen` varchar(64) DEFAULT NULL COMMENT '委托部门（否.否，是.是）',
  `jointInfoShow` varchar(128) DEFAULT NULL COMMENT '联办机构',
  `matterStatus` varchar(32) DEFAULT NULL COMMENT '事项状态（停用.停用，在用.在用）',
  `numberLimit` int(11) DEFAULT NULL COMMENT '数量限制',
  `type` varchar(32) DEFAULT NULL COMMENT '主题类型',
  `baseCode` varchar(128) DEFAULT NULL COMMENT '基本编码',
  `implementCode` varchar(128) DEFAULT NULL COMMENT '实施编码',
  `implementBodyCode` varchar(128) DEFAULT NULL COMMENT '实施主体编码',
  `operateItemCode` varchar(128) DEFAULT NULL COMMENT '办理项编码',
  `townshipName` varchar(128) DEFAULT NULL COMMENT '乡镇街道名称',
  `townshipCode` varchar(128) DEFAULT NULL COMMENT '乡镇街道代码',
  `villageName` varchar(128) DEFAULT NULL COMMENT '村居社区名称',
  `villageCode` varchar(128) DEFAULT NULL COMMENT '村居社区代码',
  `operateTime` varchar(512) DEFAULT NULL COMMENT '办理时间',
  `operateSite` varchar(1024) DEFAULT NULL COMMENT '办理地点',
  `cousultingShow` varchar(1024) DEFAULT NULL COMMENT '咨询方式',
  `cousultingTelephoneShow` varchar(64) DEFAULT NULL COMMENT '咨询电话',
  `superviseShow` varchar(1024) DEFAULT NULL COMMENT '监督投诉方式',
  `sort` int(4) DEFAULT NULL COMMENT '排序',
  `source` tinyint(2) DEFAULT NULL COMMENT '事项来源(0.政务网，1.自定义)',
  `evaluationUrl` varchar(1024) DEFAULT NULL COMMENT '评价地址',
  `netApplyUrl` varchar(1024) DEFAULT NULL COMMENT '申请地址',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `matterarea` (`matterNo`,`areaCode`) USING BTREE,
  KEY `area` (`areaCode`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1255 DEFAULT CHARSET=utf8 COMMENT='基础事项';

-- ----------------------------
-- Table structure for mortals_sys_matter_accept
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_matter_accept`;
CREATE TABLE `mortals_sys_matter_accept` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键，自增长',
  `matterId` bigint(20) NOT NULL DEFAULT '0' COMMENT '基础事项表id',
  `matterCode` varchar(512) DEFAULT '',
  `matterName` varchar(1024) DEFAULT NULL COMMENT '事项名称',
  `content` text COMMENT '受理条件',
  `source` tinyint(2) DEFAULT '0' COMMENT '事项来源 (0.政务网，1.自定义)',
  `createTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1255 DEFAULT CHARSET=utf8 COMMENT='事项受理条件';

-- ----------------------------
-- Table structure for mortals_sys_matter_apply
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_matter_apply`;
CREATE TABLE `mortals_sys_matter_apply` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `siteId` bigint(20) DEFAULT NULL COMMENT '站点id',
  `singleMatterId` bigint(20) DEFAULT NULL COMMENT '单事项id',
  `matterId` bigint(20) DEFAULT NULL COMMENT '基础事项id',
  `deptCode` varchar(128) DEFAULT NULL COMMENT '部门编码',
  `matterName` varchar(128) NOT NULL COMMENT '单事项名称',
  `applyPerson` varchar(128) DEFAULT NULL COMMENT '申请人姓名',
  `sexual` tinyint(2) DEFAULT '1' COMMENT '申请人性别',
  `phoneNum` varchar(128) DEFAULT NULL COMMENT '申请人电话',
  `idCard` varchar(128) DEFAULT NULL COMMENT '申请人身份证号码',
  `address` varchar(128) DEFAULT NULL COMMENT '地点',
  `applyType` tinyint(2) DEFAULT '1' COMMENT '申请方式1移动端2后台',
  `applyTime` datetime DEFAULT NULL COMMENT '申请时间',
  `applyState` tinyint(2) DEFAULT '0' COMMENT '审批状态0审批中1通过2不通过',
  `examineTime` datetime DEFAULT NULL COMMENT '审批时间',
  `advisement` varchar(255) DEFAULT NULL COMMENT '审批意见',
  `remarks` varchar(255) DEFAULT NULL COMMENT '备注',
  `openId` varchar(128) DEFAULT NULL COMMENT '微信openId',
  `filename` varchar(512) DEFAULT NULL COMMENT '事项申请文件名称',
  `fileUrl` varchar(1024) DEFAULT NULL COMMENT '事项申请文件地址',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COMMENT='单事项申报';

-- ----------------------------
-- Table structure for mortals_sys_matter_apply_datum
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_matter_apply_datum`;
CREATE TABLE `mortals_sys_matter_apply_datum` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `siteId` bigint(20) DEFAULT NULL COMMENT '站点id',
  `applyId` bigint(20) DEFAULT NULL COMMENT '用户申报id',
  `singleMatterId` bigint(20) DEFAULT NULL COMMENT '单事项id',
  `matterId` bigint(20) DEFAULT NULL COMMENT '基础事项id',
  `datumId` bigint(20) DEFAULT NULL COMMENT '材料id',
  `materialName` varchar(1024) NOT NULL COMMENT '材料名称',
  `fileName` varchar(128) DEFAULT NULL COMMENT '附件文件名称',
  `fileUrl` varchar(255) DEFAULT NULL COMMENT '附件文件地址',
  `reviewStatus` tinyint(2) DEFAULT '0' COMMENT '预审状态',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8 COMMENT='事项申报材料';

-- ----------------------------
-- Table structure for mortals_sys_matter_charges
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_matter_charges`;
CREATE TABLE `mortals_sys_matter_charges` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键，自增长',
  `matterId` bigint(20) NOT NULL DEFAULT '0' COMMENT '事项基础表matter id',
  `matterCode` varchar(512) DEFAULT '' COMMENT '事项编码',
  `matterName` varchar(1024) DEFAULT NULL COMMENT '事项名称',
  `content` varchar(1024) DEFAULT NULL COMMENT '收费标准',
  `source` tinyint(2) DEFAULT '0' COMMENT '事项来源，(0.政务网，1.自定义)',
  `createTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1255 DEFAULT CHARSET=utf8 COMMENT='事项收费标准';

-- ----------------------------
-- Table structure for mortals_sys_matter_datum
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_matter_datum`;
CREATE TABLE `mortals_sys_matter_datum` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键，自增长',
  `matterId` bigint(20) DEFAULT NULL COMMENT '事项id',
  `matterCode` varchar(255) DEFAULT '' COMMENT '事项编码',
  `matterName` varchar(1024) DEFAULT NULL COMMENT '事项名称',
  `materialName` varchar(1024) NOT NULL DEFAULT '' COMMENT '材料名',
  `isMust` varchar(32) DEFAULT '非必要' COMMENT '必交性（非必要.非必要，必要.必要，必要|容缺后补.必要|容缺后补，非必要|容缺后补.非必要|容缺后补）',
  `materialType` varchar(32) DEFAULT '无' COMMENT '材料类型（无.无，原件.原件，复印件.复印件，原件和复印件.原件和复印件)',
  `materialProperty` varchar(32) DEFAULT '纸质' COMMENT '材料形式（纸质.纸质，电子.电子，纸质|电子.纸质|电子）',
  `electronicgs` varchar(32) DEFAULT '无' COMMENT '电子材料格式（无.无，不限.不限，jpg.jpg，jpeg.jpeg，pdf.pdf，word.word，pdf|jpg|jpeg.pdf|jpg|jpeg，pdf|jpg.pdf|jpg）',
  `materialSource` varchar(32) DEFAULT '无' COMMENT '材料来源渠道（无.无，申请人自备.申请人自备，政府部门核发.政府部门核发，其他.其他）',
  `paperNum` tinyint(4) DEFAULT '1' COMMENT '纸质材料份数',
  `paperGg` varchar(256) DEFAULT NULL COMMENT '纸质材料规格',
  `jianmMs` varchar(32) DEFAULT '无' COMMENT '减免模式（无.无，减.减，免.免）',
  `sealWay` varchar(128) DEFAULT NULL COMMENT '盖章方式',
  `isjianm` varchar(32) DEFAULT '是' COMMENT '是否减免（否.否，是.是）',
  `isLack` varchar(32) DEFAULT '必要' COMMENT '材料是否容缺（必要.必要，非必要.非必要）',
  `ybUrl` varchar(512) DEFAULT '' COMMENT '材料地址',
  `materialSourceSm` varchar(512) DEFAULT '' COMMENT '来源渠道说明',
  `remarkSub` text COMMENT '填报须知',
  `clauseContent` text COMMENT '要求提供材料的依据',
  `summary` text COMMENT '受理标准',
  `remark` varchar(2048) DEFAULT NULL COMMENT '备注',
  `source` tinyint(2) DEFAULT '1' COMMENT '事项来源(0.政务网，1.自定义)',
  `prompt` text COMMENT '预审提示词',
  `reviewModel` varchar(1024) DEFAULT NULL COMMENT '预审模型',
  `systemPrompt` text COMMENT '系统提示词',
  `createTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=5636 DEFAULT CHARSET=utf8 COMMENT='事项申请材料';

-- ----------------------------
-- Table structure for mortals_sys_matter_datum_file
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_matter_datum_file`;
CREATE TABLE `mortals_sys_matter_datum_file` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键，自增长',
  `datumId` bigint(20) DEFAULT NULL COMMENT '材料id',
  `matterCode` varchar(255) DEFAULT NULL COMMENT '事项编码',
  `materialName` varchar(1024) NOT NULL DEFAULT '' COMMENT '材料名',
  `fileName` varchar(255) DEFAULT NULL COMMENT '附件名称',
  `fileUrl` varchar(255) DEFAULT NULL COMMENT '附件下载地址',
  `localFileUrl` varchar(255) DEFAULT NULL,
  `filetype` varchar(20) DEFAULT '示例样表' COMMENT '附件类型 (示例样表.示例样表，空白表格.空白表格)',
  `source` tinyint(2) DEFAULT '1' COMMENT '附件来源 (0.政务网，1.自定义)',
  `previewUrl` varchar(255) DEFAULT NULL COMMENT '预览地址',
  `createTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=8883 DEFAULT CHARSET=utf8 COMMENT='材料附件表';

-- ----------------------------
-- Table structure for mortals_sys_matter_dutyer
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_matter_dutyer`;
CREATE TABLE `mortals_sys_matter_dutyer` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `siteId` bigint(20) DEFAULT NULL COMMENT '站点id',
  `fullName` varchar(64) NOT NULL COMMENT '工作人员姓名',
  `phoneNumber` varchar(128) NOT NULL COMMENT '联系电话',
  `loginName` varchar(128) DEFAULT NULL COMMENT '登录用户名',
  `loginPwd` varchar(128) DEFAULT NULL COMMENT '登录密码',
  `deptId` bigint(20) DEFAULT NULL COMMENT '所属部门',
  `deptName` varchar(128) DEFAULT NULL COMMENT '所属部门名称',
  `officeId` bigint(20) DEFAULT NULL COMMENT '所属股室',
  `officeName` varchar(128) DEFAULT NULL COMMENT '所属股室名称',
  `sexual` tinyint(2) DEFAULT '1' COMMENT '性别1男2女',
  `email` varchar(128) DEFAULT NULL COMMENT '邮箱',
  `position` varchar(128) DEFAULT NULL COMMENT '职位',
  `personType` tinyint(2) DEFAULT '1' COMMENT '人员类型：1窗口工作人员2事项负责人',
  `lastLoginTime` datetime DEFAULT NULL COMMENT '最后一次登录时间',
  `createUserId` bigint(20) NOT NULL COMMENT '创建用户',
  `createTime` datetime NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='事项负责人';

-- ----------------------------
-- Table structure for mortals_sys_matter_ext
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_matter_ext`;
CREATE TABLE `mortals_sys_matter_ext` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键，自增长',
  `matterId` bigint(20) NOT NULL COMMENT '事项基础表matter id',
  `matterCode` varchar(512) DEFAULT NULL COMMENT '事项编码',
  `matterName` varchar(1024) DEFAULT NULL COMMENT '事项名称',
  `fieldCode` varchar(256) DEFAULT NULL COMMENT '字段编码',
  `fieldName` varchar(256) DEFAULT NULL COMMENT '字段名称',
  `fieldValue` varchar(1024) DEFAULT NULL COMMENT '字段值',
  `fieldType` varchar(64) DEFAULT NULL COMMENT '字段类型',
  `fieldOrderNo` int(11) DEFAULT NULL COMMENT '字段排序号',
  `source` tinyint(2) DEFAULT NULL COMMENT '事项来源，(0.政务网，1.自定义)',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=8146 DEFAULT CHARSET=utf8 COMMENT='事项扩展';

-- ----------------------------
-- Table structure for mortals_sys_matter_flowlimit
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_matter_flowlimit`;
CREATE TABLE `mortals_sys_matter_flowlimit` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键，自增长',
  `matterId` bigint(20) NOT NULL DEFAULT '0' COMMENT '事项基础表id',
  `matterCode` varchar(255) DEFAULT NULL,
  `matterName` varchar(1024) DEFAULT NULL COMMENT '事项名称',
  `flowName` varchar(256) DEFAULT NULL COMMENT '办理流程',
  `flowTime` varchar(256) DEFAULT NULL COMMENT '办理时长',
  `flowLimit` varchar(256) DEFAULT NULL COMMENT '转外时限',
  `flowDesc` varchar(1024) DEFAULT NULL COMMENT '办理流程说明',
  `source` tinyint(2) DEFAULT '0' COMMENT '事项来源(0.政务网，1.自定义)',
  `createTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=6705 DEFAULT CHARSET=utf8 COMMENT='事项办理流程';

-- ----------------------------
-- Table structure for mortals_sys_matter_intermediary
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_matter_intermediary`;
CREATE TABLE `mortals_sys_matter_intermediary` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键，自增长',
  `matterId` bigint(20) NOT NULL DEFAULT '0' COMMENT '事项matter id',
  `matterCode` varchar(512) DEFAULT NULL,
  `matterName` varchar(1024) DEFAULT NULL COMMENT '事项名称',
  `title` varchar(1024) DEFAULT NULL COMMENT '中介服务事项名称',
  `intermediaryRequest` text COMMENT '中介服务实施机构及资质资格要求',
  `intermediaryRequestTime` varchar(512) DEFAULT NULL COMMENT '服务时限',
  `remark` text COMMENT '备注',
  `source` tinyint(2) DEFAULT '0' COMMENT '事项来源，(0.政务网，1.自定义)',
  `createTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=273 DEFAULT CHARSET=utf8 COMMENT='事项中介服务表';

-- ----------------------------
-- Table structure for mortals_sys_matter_question
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_matter_question`;
CREATE TABLE `mortals_sys_matter_question` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键，自增长',
  `matterId` bigint(20) NOT NULL DEFAULT '0' COMMENT '事项基础表matter id',
  `matterCode` varchar(512) DEFAULT NULL,
  `matterName` varchar(1024) DEFAULT NULL COMMENT '事项名称',
  `question` varchar(512) DEFAULT NULL COMMENT '问题',
  `answer` varchar(2048) DEFAULT NULL COMMENT '常见问题',
  `source` tinyint(2) DEFAULT '0' COMMENT '事项来源，(0.政务网，1.自定义)',
  `createTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1420 DEFAULT CHARSET=utf8 COMMENT='事项常见问题';

-- ----------------------------
-- Table structure for mortals_sys_matter_setbase
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_matter_setbase`;
CREATE TABLE `mortals_sys_matter_setbase` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键，自增长',
  `matterId` bigint(20) NOT NULL DEFAULT '0' COMMENT '事项matter id',
  `matterCode` varchar(512) DEFAULT NULL,
  `matterName` varchar(1024) DEFAULT NULL COMMENT '事项名称',
  `policyName` varchar(1024) DEFAULT NULL COMMENT '法规标题',
  `policyType` varchar(32) DEFAULT '1' COMMENT '法规类型，(法律.法律，行政法规.行政法规，地方法规.地方法规，部门规章.部门规章，其他.其他，政府规章.政府规章，规范性文件.规范性文件)',
  `policyitem` varchar(1024) DEFAULT NULL COMMENT '条例',
  `content` text COMMENT '条款内容',
  `source` tinyint(2) DEFAULT '0' COMMENT '事项来源，(0.政务网，1.自定义)',
  `createTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2929 DEFAULT CHARSET=utf8 COMMENT='事项设定依据表';

-- ----------------------------
-- Table structure for mortals_sys_model
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_model`;
CREATE TABLE `mortals_sys_model` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `modelName` varchar(64) DEFAULT NULL COMMENT '模块名称',
  `modelCode` varchar(64) DEFAULT NULL COMMENT '模块编码',
  `modelIcon` varchar(64) DEFAULT NULL COMMENT '模块图标',
  `modelUrl` varchar(64) DEFAULT NULL COMMENT '模块地址',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注信息',
  `sort` int(9) DEFAULT '0' COMMENT '排序',
  `createTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='模块表';

-- ----------------------------
-- Table structure for mortals_sys_model_census
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_model_census`;
CREATE TABLE `mortals_sys_model_census` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `modelId` bigint(20) DEFAULT NULL COMMENT '模块ID，主键',
  `censusName` varchar(64) NOT NULL COMMENT '数据统计名称',
  `censusUrl` varchar(128) DEFAULT NULL COMMENT '链接地址',
  `censusType` tinyint(2) NOT NULL COMMENT '统计类型， 1：服务，2：协同，3：监管，4：数据，5：运营。默认1',
  `status` tinyint(2) NOT NULL COMMENT '状态，0暂未开通，1已开通',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) DEFAULT NULL COMMENT '创建用户名称',
  `createTime` datetime NOT NULL COMMENT '创建时间',
  `updateTime` datetime NOT NULL COMMENT '更新时间',
  `updateUserId` bigint(20) DEFAULT NULL COMMENT '更新用户',
  `updateUserName` varchar(50) DEFAULT NULL COMMENT '更新用户名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='模块下的数据统计';

-- ----------------------------
-- Table structure for mortals_sys_people_info
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_people_info`;
CREATE TABLE `mortals_sys_people_info` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) NOT NULL DEFAULT '' COMMENT '姓名',
  `sex` varchar(64) NOT NULL DEFAULT '' COMMENT '性别',
  `nation` varchar(64) NOT NULL DEFAULT '' COMMENT '民族',
  `born` varchar(64) NOT NULL DEFAULT '' COMMENT '出生日期',
  `address` varchar(255) NOT NULL DEFAULT '' COMMENT '地址',
  `idCardNo` varchar(64) NOT NULL DEFAULT '' COMMENT '身份证号',
  `grantDept` varchar(255) NOT NULL DEFAULT '' COMMENT '发证机关',
  `userLifeBegin` varchar(64) NOT NULL DEFAULT '' COMMENT '有效期开始',
  `userLifeEnd` varchar(64) NOT NULL DEFAULT '' COMMENT '有效期结束',
  `photoFileName` varchar(255) NOT NULL DEFAULT '' COMMENT '照片',
  `phone` varchar(11) NOT NULL DEFAULT '' COMMENT '手机',
  `openid` varchar(128) NOT NULL DEFAULT '' COMMENT '微信开放认证id',
  `last_time` datetime DEFAULT NULL COMMENT '最近登录时间',
  `up_time` datetime DEFAULT NULL,
  `icon` varchar(256) NOT NULL DEFAULT '' COMMENT '微信头像',
  `nickname` varchar(128) NOT NULL DEFAULT '' COMMENT '微信昵称',
  `z_img` varchar(128) DEFAULT '' COMMENT '身份证正面照片',
  `b_img` varchar(128) DEFAULT '' COMMENT '身份证背面照片',
  `siteid` int(11) DEFAULT '0' COMMENT '默认选择的站点id',
  `username` varchar(64) NOT NULL DEFAULT '' COMMENT '天府通办用户名',
  `create_time` datetime NOT NULL COMMENT '申请预约时间',
  `update_time` datetime NOT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  KEY `idcard_Name` (`name`) USING BTREE,
  KEY `idCardNo` (`idCardNo`) USING BTREE,
  KEY `phone` (`phone`) USING BTREE,
  KEY `openid` (`openid`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户信息';

-- ----------------------------
-- Table structure for mortals_sys_single_matter
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_single_matter`;
CREATE TABLE `mortals_sys_single_matter` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `siteId` bigint(20) DEFAULT NULL COMMENT '站点id',
  `siteName` varchar(255) DEFAULT NULL COMMENT '站点名称',
  `siteMatterId` bigint(20) DEFAULT NULL COMMENT '站点事项id',
  `matterId` bigint(20) DEFAULT NULL COMMENT '基础事项ID',
  `matterName` varchar(1024) DEFAULT NULL COMMENT '事项名称',
  `matterCode` varchar(512) DEFAULT NULL COMMENT '事项编码',
  `deptId` bigint(20) DEFAULT NULL COMMENT '部门ID',
  `deptName` varchar(128) DEFAULT NULL COMMENT '部门名称',
  `deptCode` varchar(255) DEFAULT NULL COMMENT '部门编码',
  `source` tinyint(2) DEFAULT NULL COMMENT '事项来源',
  `eventTypeShow` varchar(255) DEFAULT NULL COMMENT '事项类型',
  `viewsCount` int(11) DEFAULT '0' COMMENT '浏览次数',
  `isConvert` tinyint(2) DEFAULT '0' COMMENT '是否生成本地附件',
  `url` varchar(1024) DEFAULT NULL COMMENT '事项详情链接',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COMMENT='单事项';

-- ----------------------------
-- Table structure for mortals_sys_single_matter_file
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_single_matter_file`;
CREATE TABLE `mortals_sys_single_matter_file` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `siteId` bigint(20) DEFAULT NULL COMMENT '站点id',
  `matterId` bigint(20) DEFAULT NULL COMMENT '基础事项ID',
  `matterName` varchar(1024) DEFAULT NULL COMMENT '事项名称',
  `matterCode` varchar(512) DEFAULT NULL COMMENT '事项编码',
  `filename` varchar(512) DEFAULT NULL COMMENT '事项申请文件名称',
  `fileUrl` varchar(1024) DEFAULT NULL COMMENT '事项申请文件地址',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='单事项申请文件';

-- ----------------------------
-- Table structure for mortals_sys_site
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_site`;
CREATE TABLE `mortals_sys_site` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `siteName` varchar(255) DEFAULT NULL COMMENT '站点名称',
  `siteCode` varchar(64) DEFAULT NULL COMMENT '站点编号',
  `areaID` varchar(32) DEFAULT NULL COMMENT '区域Id',
  `areaCode` varchar(32) DEFAULT NULL COMMENT '区域编号',
  `areaName` varchar(32) DEFAULT NULL COMMENT '区域名称',
  `proCode` varchar(32) DEFAULT NULL COMMENT '省编码',
  `cityCode` varchar(32) DEFAULT NULL COMMENT '市编码',
  `districtCode` varchar(32) DEFAULT NULL COMMENT '区编码',
  `siteIp` varchar(32) DEFAULT NULL COMMENT '站点服务器ip',
  `sitePort` varchar(8) DEFAULT NULL COMMENT '站点服务器端口',
  `longitude` varchar(32) DEFAULT NULL COMMENT '经度',
  `latitude` varchar(32) DEFAULT NULL COMMENT '纬度',
  `siteTel` varchar(32) DEFAULT NULL COMMENT '中心联系电话',
  `detailAddress` varchar(255) DEFAULT NULL COMMENT '中心详细地址',
  `siteRemark` text COMMENT '中心介绍',
  `amWorkStartTime` datetime DEFAULT NULL COMMENT '上午上班开始时间',
  `amWorkEndTime` datetime DEFAULT NULL COMMENT '上午上班结束时间',
  `pmWorkStartTime` datetime DEFAULT NULL COMMENT '下午上班开始时间',
  `pmWorkEndTime` datetime DEFAULT NULL COMMENT '下午上班结束时间',
  `workday1` tinyint(2) DEFAULT NULL COMMENT '周一 (1.上班，0.不上)',
  `workday2` tinyint(2) DEFAULT NULL COMMENT '周二 (1.上班，0.不上)',
  `workday3` tinyint(2) DEFAULT NULL COMMENT '周三 (1.上班，0.不上)',
  `workday4` tinyint(2) DEFAULT NULL COMMENT '周四 (1.上班，0.不上)',
  `workday5` tinyint(2) DEFAULT NULL COMMENT '周五 (1.上班，0.不上)',
  `workday6` tinyint(2) DEFAULT NULL COMMENT '周六 (1.上班，0.不上)',
  `workday7` tinyint(2) DEFAULT NULL COMMENT '周日 (1.上班，0.不上)',
  `level` int(4) DEFAULT NULL COMMENT '楼层',
  `building` int(4) DEFAULT NULL COMMENT '楼栋',
  `logoPath` varchar(255) DEFAULT NULL COMMENT 'logo图片地址',
  `englishName` varchar(255) DEFAULT NULL COMMENT '英文名称',
  `leadingOfficial` varchar(64) DEFAULT NULL COMMENT '负责人',
  `leadingOfficialTelephone` varchar(64) DEFAULT NULL COMMENT '联系电话',
  `modelIds` varchar(256) DEFAULT NULL COMMENT '部署模块，逗号分隔',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='站点';

-- ----------------------------
-- Table structure for mortals_sys_site_business
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_site_business`;
CREATE TABLE `mortals_sys_site_business` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `siteId` bigint(20) DEFAULT NULL COMMENT '站点ID',
  `siteName` varchar(255) DEFAULT NULL COMMENT '站点名称',
  `ancestors` varchar(255) DEFAULT '' COMMENT '祖级列表，逗号分隔',
  `businessId` bigint(20) DEFAULT NULL COMMENT '业务ID',
  `isBusiness` tinyint(2) DEFAULT NULL COMMENT '业务类型(0.一级业务,1.二级业务)',
  `parentId` bigint(20) DEFAULT NULL COMMENT '业务父级ID',
  `businessName` varchar(1024) DEFAULT NULL COMMENT '业务名称',
  `status` tinyint(2) DEFAULT '1' COMMENT '业务状态 (0.停用，1.正常)',
  `createTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `siteId` (`siteId`) USING BTREE,
  KEY `businessId` (`businessId`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='站点业务表';

-- ----------------------------
-- Table structure for mortals_sys_site_datum_library
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_site_datum_library`;
CREATE TABLE `mortals_sys_site_datum_library` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键，自增长',
  `siteId` bigint(20) DEFAULT NULL COMMENT '站点id',
  `siteName` varchar(255) DEFAULT NULL COMMENT '站点名称',
  `matterId` bigint(20) DEFAULT NULL COMMENT '事项基础表matter id',
  `matterCode` varchar(512) DEFAULT NULL COMMENT '事项编码',
  `matterName` varchar(1024) DEFAULT NULL COMMENT '事项名称',
  `datumId` bigint(20) DEFAULT NULL COMMENT '材料id',
  `materialName` varchar(1024) NOT NULL COMMENT '材料名',
  `isMust` varchar(32) DEFAULT '1' COMMENT '必交性（1.非必要，2.必要，3.必要|容缺后补，4.非必要|容缺后补）',
  `materialType` varchar(32) DEFAULT '1' COMMENT '材料类型（1.无，2.原件，3.复印件，4.原件和复印件)',
  `materialProperty` varchar(32) DEFAULT '1' COMMENT '材料形式（1.纸质，2.电子，3.纸质|电子）',
  `electronicgs` varchar(32) DEFAULT '1' COMMENT '电子材料格式（1.无，2.不限，3.jpg，4.jpeg，5.pdf，6.word，7.pdf,jpg,jpeg，8.pdf,jpg）',
  `materialSource` varchar(32) DEFAULT '1' COMMENT '材料来源渠道（1.无，2.申请人自备，3.政府部门核发，4.其他）',
  `paperNum` tinyint(4) DEFAULT '1' COMMENT '纸质材料份数',
  `paperGg` varchar(32) DEFAULT NULL COMMENT '纸质材料规格',
  `jianmMs` varchar(32) DEFAULT '1' COMMENT '减免模式（1.无，2.减，3.免）',
  `sealWay` varchar(32) DEFAULT NULL COMMENT '盖章方式',
  `isjianm` varchar(32) DEFAULT '1' COMMENT '是否减免（0.否，1.是）',
  `isLack` varchar(32) DEFAULT '1' COMMENT '材料是否容缺（1.必要，2.非必要）',
  `ybUrl` varchar(512) DEFAULT NULL COMMENT '材料地址',
  `materialSourceSm` varchar(512) DEFAULT NULL COMMENT '来源渠道说明',
  `remarkSub` text COMMENT '填报须知',
  `clauseContent` text COMMENT '要求提供材料的依据',
  `summary` text COMMENT '受理标准',
  `remark` varchar(512) DEFAULT NULL COMMENT '备注',
  `source` tinyint(2) DEFAULT '0' COMMENT '事项来源(0.政务网，1.自定义)',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='站点材料公共库';

-- ----------------------------
-- Table structure for mortals_sys_site_matter
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_site_matter`;
CREATE TABLE `mortals_sys_site_matter` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `siteId` bigint(20) DEFAULT NULL COMMENT '站点id',
  `siteName` varchar(255) DEFAULT NULL COMMENT '站点名称',
  `matterId` bigint(20) DEFAULT NULL COMMENT '事项ID',
  `matterName` varchar(1024) DEFAULT NULL COMMENT '事项名称',
  `matterCode` varchar(512) DEFAULT NULL COMMENT '事项编码',
  `deptId` bigint(20) DEFAULT NULL COMMENT '部门ID',
  `deptName` varchar(128) DEFAULT NULL COMMENT '部门名称',
  `deptCode` varchar(255) DEFAULT NULL COMMENT '部门编码',
  `source` tinyint(2) DEFAULT NULL COMMENT '事项来源',
  `eventTypeShow` varchar(255) DEFAULT NULL COMMENT '事项类型',
  `viewsCount` int(11) DEFAULT '0' COMMENT '浏览次数',
  `isConvert` tinyint(2) DEFAULT '0' COMMENT '是否生成本地附件',
  `url` varchar(1024) DEFAULT NULL COMMENT '事项详情链接',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1255 DEFAULT CHARSET=utf8 COMMENT='站点事项';

-- ----------------------------
-- Table structure for mortals_sys_site_matter_assist
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_site_matter_assist`;
CREATE TABLE `mortals_sys_site_matter_assist` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `siteMatterId` bigint(20) DEFAULT NULL COMMENT '站点事项id',
  `matterId` bigint(20) DEFAULT NULL COMMENT '事项ID',
  `matterName` varchar(1024) DEFAULT NULL COMMENT '事项名称',
  `matterCode` varchar(512) DEFAULT NULL COMMENT '事项编码',
  `deptId` bigint(20) DEFAULT NULL COMMENT '部门ID',
  `deptName` varchar(128) DEFAULT NULL COMMENT '部门名称',
  `deptCode` varchar(255) DEFAULT NULL COMMENT '部门编码',
  `officeId` bigint(20) DEFAULT NULL COMMENT '股室ID',
  `officeName` varchar(128) DEFAULT NULL COMMENT '股室名称',
  `dutyer` varchar(128) DEFAULT NULL COMMENT '负责人姓名',
  `telephone` varchar(128) DEFAULT NULL COMMENT '联系电话',
  `govUrl` varchar(255) DEFAULT NULL COMMENT '政务网地址',
  `createUserId` bigint(20) NOT NULL COMMENT '创建用户',
  `createTime` datetime NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  `source` tinyint(2) DEFAULT NULL COMMENT '事项来源',
  `viewsCount` int(11) DEFAULT '0' COMMENT '浏览次数',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='辅助接件事项';

-- ----------------------------
-- Table structure for mortals_sys_site_theme
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_site_theme`;
CREATE TABLE `mortals_sys_site_theme` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id号',
  `siteId` bigint(20) DEFAULT NULL COMMENT '站点id',
  `userType` char(3) DEFAULT NULL COMMENT '服务类型编号',
  `themeCode` char(3) DEFAULT NULL COMMENT '主题编号',
  `themeName` varchar(64) DEFAULT NULL COMMENT '主题名称',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户id',
  `updatetime` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `siteId` (`siteId`) USING BTREE,
  KEY `themeCode` (`themeCode`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=68 DEFAULT CHARSET=utf8 COMMENT='主题';

-- ----------------------------
-- Table structure for mortals_sys_site_theme_matter
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_site_theme_matter`;
CREATE TABLE `mortals_sys_site_theme_matter` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `siteId` bigint(20) DEFAULT NULL COMMENT '站点ID',
  `siteName` varchar(255) DEFAULT NULL COMMENT '站点名称',
  `matterId` bigint(20) DEFAULT NULL COMMENT '事项ID',
  `matterName` varchar(1024) DEFAULT NULL COMMENT '事项名称',
  `matterCode` varchar(512) DEFAULT NULL COMMENT '事项编码',
  `userType` char(3) DEFAULT NULL COMMENT '服务类型（1.公共服务，2.个人服务，3.法人服务）',
  `themeCode` char(3) DEFAULT NULL COMMENT '主题编码',
  `themeName` varchar(64) DEFAULT NULL COMMENT '主题名称',
  `source` tinyint(2) DEFAULT NULL COMMENT '事项来源',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='站点主题事项';

-- ----------------------------
-- Table structure for mortals_sys_skin_base
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_skin_base`;
CREATE TABLE `mortals_sys_skin_base` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `categoryId` bigint(20) DEFAULT NULL COMMENT '所属种类,来源种类',
  `productId` bigint(20) DEFAULT NULL COMMENT '产品id',
  `productName` varchar(256) NOT NULL COMMENT '产品名称',
  `cssFilePath` varchar(256) DEFAULT NULL COMMENT 'css模板合成后文件地址',
  `name` varchar(256) NOT NULL COMMENT '产品皮肤名称，唯一且不为空',
  `imageResolution` varchar(256) NOT NULL COMMENT '分辨率 (1.1920*1080，2.1080*1920，3.1280*1280)',
  `previewImagePath` varchar(256) NOT NULL COMMENT '预览图片',
  `sortNum` int(9) DEFAULT NULL COMMENT '排序编号',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`),
  KEY `productId` (`productId`) USING BTREE,
  KEY `categoryId` (`categoryId`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='系统基础皮肤';

-- ----------------------------
-- Table structure for mortals_sys_skin_category
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_skin_category`;
CREATE TABLE `mortals_sys_skin_category` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `name` varchar(64) DEFAULT NULL COMMENT '分类名称',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='系统皮肤分类';

-- ----------------------------
-- Table structure for mortals_sys_skin_field
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_skin_field`;
CREATE TABLE `mortals_sys_skin_field` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `skinId` bigint(20) DEFAULT NULL COMMENT '皮肤id',
  `templateId` bigint(20) DEFAULT NULL COMMENT '模板id,不为空时为模板配置属性',
  `fieldCode` varchar(64) DEFAULT NULL COMMENT '字段编码',
  `fieldName` varchar(64) DEFAULT NULL COMMENT '字段名称',
  `fieldType` varchar(64) DEFAULT NULL COMMENT '数据类型（1.颜色，2.图片地址）',
  `fieldValue` varchar(64) DEFAULT NULL COMMENT '字段值',
  `fieldLen` int(9) DEFAULT NULL COMMENT '数据长度，默认100',
  `fieldNull` tinyint(2) DEFAULT NULL COMMENT '是否允许为空，0否1是',
  `fieldOrderNo` varchar(64) DEFAULT NULL COMMENT '排序号',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `enabled` tinyint(2) DEFAULT NULL COMMENT '是否启用，0否1是',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime DEFAULT NULL COMMENT '修改时间',
  `updateUserId` bigint(20) DEFAULT NULL COMMENT '修改用户',
  PRIMARY KEY (`id`),
  KEY `skinId` (`skinId`) USING BTREE,
  KEY `fieldCode` (`fieldCode`) USING BTREE,
  KEY `templateId` (`templateId`) USING BTREE,
  KEY `fieldName` (`fieldName`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='皮肤属性字段配置';

-- ----------------------------
-- Table structure for mortals_sys_skin_template
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_skin_template`;
CREATE TABLE `mortals_sys_skin_template` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `productId` bigint(20) DEFAULT NULL COMMENT '产品ID',
  `productName` varchar(64) DEFAULT NULL COMMENT '产品名称',
  `templateName` varchar(64) DEFAULT NULL COMMENT '模板名称',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='系统皮肤模板';

-- ----------------------------
-- Table structure for mortals_sys_sms_set
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_sms_set`;
CREATE TABLE `mortals_sys_sms_set` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `siteId` bigint(20) DEFAULT NULL COMMENT '站点id',
  `siteName` varchar(255) DEFAULT NULL COMMENT '站点名称',
  `sign` varchar(64) DEFAULT NULL COMMENT '短信签名',
  `lastnum` int(11) DEFAULT NULL COMMENT '剩余短信条数',
  `username` varchar(64) DEFAULT NULL COMMENT '用户名',
  `messageoff` tinyint(1) DEFAULT '1' COMMENT '短信开关 (1.开,0.关)',
  `smsplatform` tinyint(1) DEFAULT '1' COMMENT '短信平台 (1.容联,2.阿里云,3.移动)',
  `createTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='短信设置';

-- ----------------------------
-- Table structure for mortals_sys_sms_template
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_sms_template`;
CREATE TABLE `mortals_sys_sms_template` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `siteid` bigint(20) DEFAULT NULL COMMENT '站点ID',
  `siteName` varchar(255) DEFAULT NULL COMMENT '站点名称',
  `code` varchar(64) DEFAULT NULL COMMENT '模板code',
  `summary` varchar(256) DEFAULT NULL COMMENT '备注',
  `content` varchar(256) DEFAULT NULL,
  `type` tinyint(2) DEFAULT '1' COMMENT '模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)',
  `source` tinyint(2) DEFAULT '1' COMMENT '系统来源(1.排号系统,2.取件系统）',
  `createTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='短信模板表';

-- ----------------------------
-- Table structure for mortals_sys_window
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_window`;
CREATE TABLE `mortals_sys_window` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `siteId` bigint(20) DEFAULT NULL COMMENT '站点ID',
  `siteName` varchar(255) DEFAULT NULL COMMENT '站点名称',
  `deptId` bigint(20) DEFAULT NULL COMMENT '部门ID',
  `deptName` varchar(64) DEFAULT NULL COMMENT '部门名称',
  `name` varchar(64) DEFAULT NULL COMMENT '窗口名称',
  `englishName` varchar(64) DEFAULT NULL COMMENT '英语窗口名',
  `region` varchar(32) DEFAULT NULL COMMENT '区域',
  `englishRegion` varchar(64) DEFAULT NULL COMMENT '英语区域',
  `fromnum` varchar(64) DEFAULT NULL COMMENT '窗口编号',
  `hongqi` tinyint(1) DEFAULT '1' COMMENT '红旗窗口 (1.是，0.否)',
  `duty` tinyint(1) DEFAULT NULL COMMENT '无人值守(1.是，0.否)',
  `dutyContent` varchar(256) DEFAULT NULL COMMENT '显示内容',
  `dutyEnglish` varchar(256) DEFAULT NULL COMMENT '显示英文',
  `summary` varchar(255) DEFAULT NULL COMMENT '备注',
  `building` tinyint(2) DEFAULT '1' COMMENT '楼栋',
  `level` tinyint(2) DEFAULT '1' COMMENT '楼层',
  `createTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `siteId` (`siteId`) USING BTREE,
  KEY `deptId` (`deptId`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='站点部门窗口表';

-- ----------------------------
-- Table structure for mortals_sys_window_business
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_window_business`;
CREATE TABLE `mortals_sys_window_business` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `windowId` bigint(20) DEFAULT NULL COMMENT '窗口id',
  `windowName` varchar(255) DEFAULT NULL COMMENT '窗口名称',
  `siteBusinessId` bigint(20) DEFAULT NULL COMMENT '站点业务ID',
  `businessName` varchar(255) DEFAULT NULL COMMENT '业务名称',
  `createTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `windowid` (`windowId`) USING BTREE,
  KEY `siteBussinessId` (`siteBusinessId`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='窗口业务表';

-- ----------------------------
-- Table structure for mortals_sys_window_matter
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_window_matter`;
CREATE TABLE `mortals_sys_window_matter` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `windowId` bigint(20) DEFAULT NULL COMMENT '窗口ID',
  `windowName` varchar(255) DEFAULT NULL COMMENT '窗口名称',
  `siteMatterId` bigint(20) DEFAULT NULL COMMENT '站点事项ID',
  `matterName` varchar(1024) DEFAULT NULL COMMENT '事项名称',
  `deptId` bigint(20) DEFAULT NULL COMMENT '部门ID',
  `deptCode` varchar(255) DEFAULT NULL COMMENT '部门编码',
  `deptName` varchar(64) DEFAULT NULL COMMENT '部门名称',
  `isShow` tinyint(1) DEFAULT NULL COMMENT '是否显示 (1.是，0.否)',
  `sort` int(4) DEFAULT NULL COMMENT '排序',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `windowId` (`windowId`) USING BTREE,
  KEY `siteMatterId` (`siteMatterId`) USING BTREE,
  KEY `deptId` (`deptId`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='窗口事项';

-- ----------------------------
-- Table structure for mortals_sys_workman
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_workman`;
CREATE TABLE `mortals_sys_workman` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `loginName` varchar(64) DEFAULT NULL COMMENT '登录用户名',
  `loginPwd` varchar(255) DEFAULT NULL COMMENT '密码',
  `deptId` bigint(20) DEFAULT NULL COMMENT '部门id号',
  `deptName` varchar(64) DEFAULT NULL COMMENT '部门名称',
  `windowId` bigint(20) DEFAULT NULL COMMENT '窗口id号',
  `windowName` varchar(64) DEFAULT NULL COMMENT '窗口名称',
  `siteId` bigint(20) DEFAULT NULL COMMENT '站点ID',
  `siteName` varchar(255) DEFAULT NULL COMMENT '站点名称',
  `name` varchar(64) DEFAULT NULL COMMENT '姓名',
  `number` varchar(64) DEFAULT NULL COMMENT '工号',
  `userpost` varchar(64) DEFAULT NULL COMMENT '职务',
  `posttitle` varchar(64) DEFAULT NULL COMMENT '职称',
  `politicalstatus` tinyint(2) DEFAULT '0' COMMENT '政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)',
  `dangyuan` tinyint(2) DEFAULT '0' COMMENT '党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)',
  `dangyuanext` varchar(64) DEFAULT NULL COMMENT '党员扩展',
  `idCard` varchar(32) DEFAULT NULL COMMENT '身份证',
  `phone` varchar(64) DEFAULT NULL COMMENT '电话',
  `mobile` varchar(64) DEFAULT NULL COMMENT '手机',
  `starlevel` tinyint(2) DEFAULT '0' COMMENT '星级',
  `summary` varchar(255) DEFAULT NULL COMMENT '个人简介',
  `photoPath` varchar(255) DEFAULT NULL COMMENT '照片',
  `duty` mediumtext COMMENT '岗位职责',
  `promise` mediumtext COMMENT '服务承诺',
  `business` mediumtext COMMENT '办理事项',
  `online` tinyint(2) DEFAULT '1' COMMENT '是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）',
  `modelIds` varchar(256) DEFAULT NULL COMMENT '配置站点模块，逗号分隔',
  `operatorId` varchar(128) DEFAULT '' COMMENT '一体化经办人id',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime DEFAULT NULL COMMENT '修改时间',
  `lastLoginTime` datetime DEFAULT NULL COMMENT '最后一次登录时间',
  `lastLoginAddress` varchar(21) DEFAULT NULL COMMENT '最后一次登录地址',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='工作人员';

-- ----------------------------
-- Table structure for mortals_xhx_dept_office
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_dept_office`;
CREATE TABLE `mortals_xhx_dept_office` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `siteId` bigint(20) DEFAULT NULL COMMENT '站点id',
  `deptId` bigint(20) DEFAULT NULL COMMENT '所属部门',
  `deptName` varchar(128) DEFAULT NULL COMMENT '所属部门名称',
  `officeName` varchar(128) DEFAULT NULL COMMENT '股室名称',
  `createUserId` bigint(20) NOT NULL COMMENT '创建用户',
  `createTime` datetime NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='股室管理';

-- ----------------------------
-- Table structure for mortals_xhx_error_recovery
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_error_recovery`;
CREATE TABLE `mortals_xhx_error_recovery` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `siteId` bigint(20) DEFAULT NULL COMMENT '站点id',
  `errorTitle` varchar(128) NOT NULL COMMENT '纠错标题',
  `matterSite` varchar(128) DEFAULT NULL COMMENT '事件位置',
  `matterName` varchar(255) DEFAULT NULL COMMENT '关联事项名称',
  `substance` text COMMENT '具体内容',
  `annexUrl` varchar(255) DEFAULT NULL COMMENT '附件地址',
  `formalReply` text COMMENT '建议答复',
  `submitUserId` bigint(20) DEFAULT NULL COMMENT '纠错用户id',
  `submitUserName` varchar(128) DEFAULT NULL COMMENT '纠错用户名称',
  `submitDate` datetime NOT NULL COMMENT '提交时间',
  `status` tinyint(2) DEFAULT '0' COMMENT '处理状态，0：未处理，1：已处理',
  `answerUserId` bigint(20) DEFAULT NULL COMMENT '处理用户id',
  `answerUserName` varchar(128) DEFAULT NULL COMMENT '处理用户名称',
  `answerDate` datetime DEFAULT NULL COMMENT '处理时间',
  `createUserId` bigint(20) NOT NULL COMMENT '创建用户',
  `createTime` datetime NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='纠错管理';

-- ----------------------------
-- Table structure for mortals_xhx_idgenerator
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_idgenerator`;
CREATE TABLE `mortals_xhx_idgenerator` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `idType` varchar(50) NOT NULL COMMENT 'id类型',
  `idMaxValue` bigint(20) unsigned NOT NULL COMMENT 'id值',
  `remark` varchar(100) NOT NULL COMMENT '备注',
  `versionNum` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '版本号，默认0',
  `gmtModify` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '最后修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='主键Id生成器';

-- ----------------------------
-- Table structure for mortals_xhx_menu
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_menu`;
CREATE TABLE `mortals_xhx_menu` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID，主键，自增长',
  `name` varchar(50) DEFAULT NULL COMMENT '菜单名称',
  `url` varchar(256) DEFAULT NULL COMMENT '连接地址',
  `parentId` bigint(20) DEFAULT NULL COMMENT '父菜单ID，一级菜单的该字段值为-1',
  `orderId` int(11) DEFAULT NULL COMMENT '排序编号',
  `status` tinyint(2) DEFAULT '1' COMMENT '菜单状态，0：禁用，1：启用，默认1',
  `linkType` tinyint(2) DEFAULT '0' COMMENT '链接方式，0：普通，1：弹出，2：脚本（JavaScript），默认0',
  `groupId` int(11) DEFAULT '1' COMMENT '分组编号，使用菜单分隔符按该值分隔，默认1',
  `groupName` varchar(255) DEFAULT NULL,
  `imgPath` varchar(128) DEFAULT NULL COMMENT '主菜单图标，主菜单图标的css样式名',
  `buttonImgPath` varchar(128) DEFAULT NULL COMMENT '按钮图标，按钮图标的css样式名',
  `imgCommPath` varchar(128) DEFAULT NULL COMMENT '常用菜单图标，常用菜单图标的css样式名',
  `commMenu` tinyint(2) DEFAULT '0' COMMENT '是否常用菜单，0：非常用，1：常用，默认0',
  `menuType` tinyint(2) DEFAULT '0' COMMENT '菜单类型，0：主菜单，1：非主菜单(功能操作组)，默认0',
  `authType` tinyint(2) DEFAULT '3' COMMENT '权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) DEFAULT NULL COMMENT '创建用户名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='菜单信息';

-- ----------------------------
-- Table structure for mortals_xhx_oper_log
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_oper_log`;
CREATE TABLE `mortals_xhx_oper_log` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `platformMark` varchar(50) DEFAULT NULL COMMENT '平台标识',
  `userId` bigint(20) DEFAULT NULL COMMENT '用户id',
  `userName` varchar(50) DEFAULT NULL COMMENT '用户名称',
  `loginName` varchar(50) DEFAULT NULL COMMENT '用户登录名',
  `requestUrl` varchar(200) DEFAULT NULL COMMENT '请求地址',
  `content` varchar(2000) DEFAULT NULL COMMENT '操作内容，记录操作具体信息，如修改前修改或的数据',
  `ip` varchar(30) DEFAULT NULL COMMENT '操作IP地址',
  `logDate` datetime DEFAULT NULL COMMENT '操作时间',
  `operType` tinyint(2) DEFAULT NULL COMMENT '操作类型，0：新增，1：修改，2：删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='操作日志';

-- ----------------------------
-- Table structure for mortals_xhx_param
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_param`;
CREATE TABLE `mortals_xhx_param` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `name` varchar(100) DEFAULT NULL COMMENT '参数名称',
  `firstOrganize` varchar(100) DEFAULT NULL COMMENT '一级组织，如：平台配置',
  `secondOrganize` varchar(100) DEFAULT NULL COMMENT '二级组织，如：基础配置',
  `paramKey` varchar(100) DEFAULT NULL COMMENT '参数键，全局唯一',
  `paramValue` varchar(2000) DEFAULT NULL COMMENT '参数值',
  `validStatus` tinyint(2) DEFAULT '1' COMMENT '参数有效状态，0：禁用，1：启用，默认1',
  `modStatus` tinyint(2) DEFAULT '4' COMMENT '参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4',
  `displayType` tinyint(2) DEFAULT '0' COMMENT '展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) DEFAULT NULL COMMENT '创建用户名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=190 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='参数信息';

-- ----------------------------
-- Table structure for mortals_xhx_public_library
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_public_library`;
CREATE TABLE `mortals_xhx_public_library` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `siteId` bigint(20) DEFAULT NULL COMMENT '站点id',
  `simpleName` varchar(128) NOT NULL COMMENT '材料简称',
  `fullName` varchar(128) NOT NULL COMMENT '材料全称',
  `fileUrl` varchar(128) DEFAULT NULL COMMENT '文件地址',
  `previewUrl` varchar(128) DEFAULT NULL COMMENT '文件预览地址',
  `createUserId` bigint(20) NOT NULL COMMENT '创建用户',
  `createTime` datetime NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='材料公共库';

-- ----------------------------
-- Table structure for mortals_xhx_resource
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_resource`;
CREATE TABLE `mortals_xhx_resource` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID，主键，自增长',
  `name` varchar(50) DEFAULT NULL COMMENT '名称',
  `url` varchar(2000) DEFAULT NULL COMMENT '连接地址，多个地址以逗号分隔',
  `authType` tinyint(2) DEFAULT '3' COMMENT '权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3',
  `sourceType` tinyint(2) DEFAULT '0' COMMENT '资源类型，0：系统资源，1：开放资源，默认0',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) DEFAULT NULL COMMENT '创建用户名称',
  `userType` tinyint(2) DEFAULT NULL COMMENT '用户类型，0：系统用户 1:代理商用户 2:品牌商用户',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='资源信息';

-- ----------------------------
-- Table structure for mortals_xhx_role
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_role`;
CREATE TABLE `mortals_xhx_role` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `name` varchar(50) DEFAULT NULL COMMENT '角色名称',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注',
  `roleType` tinyint(2) DEFAULT '2' COMMENT '角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2',
  `customerId` bigint(20) DEFAULT NULL COMMENT '归属客户ID',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) DEFAULT NULL COMMENT '创建用户名称',
  `userType` tinyint(2) DEFAULT NULL COMMENT '用户类型，0：系统用户 1:代理商用户 2:品牌商用户',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='角色信息';

-- ----------------------------
-- Table structure for mortals_xhx_role_auth
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_role_auth`;
CREATE TABLE `mortals_xhx_role_auth` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `roleId` bigint(20) DEFAULT NULL COMMENT '角色ID',
  `resourceId` bigint(20) DEFAULT NULL COMMENT '资源ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='角色资源权限';

-- ----------------------------
-- Table structure for mortals_xhx_role_user
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_role_user`;
CREATE TABLE `mortals_xhx_role_user` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `roleId` bigint(20) DEFAULT NULL COMMENT '角色ID',
  `userId` bigint(20) DEFAULT NULL COMMENT '用户ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='角色用户';

-- ----------------------------
-- Table structure for mortals_xhx_table_index
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_table_index`;
CREATE TABLE `mortals_xhx_table_index` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID，主键，自增长',
  `tableName` varchar(100) DEFAULT NULL COMMENT '表名称',
  `tableMark` varchar(100) DEFAULT NULL COMMENT '表标识',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='分表索引信息';

-- ----------------------------
-- Table structure for mortals_xhx_task
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_task`;
CREATE TABLE `mortals_xhx_task` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `name` varchar(100) DEFAULT NULL COMMENT '任务名称',
  `taskKey` varchar(100) DEFAULT NULL COMMENT '任务关键字，区分任务执行流程',
  `status` tinyint(2) DEFAULT '0' COMMENT '任务状态，0：未启动，1：执行中，默认0',
  `excuteService` varchar(100) DEFAULT NULL COMMENT '任务执行服务',
  `excuteParam` text COMMENT '任务执行参数',
  `excuteHost` varchar(200) DEFAULT NULL COMMENT '任务执行主机，为空表示不限制任务的执行主机，多个用逗号分隔',
  `excuteStrategy` tinyint(2) DEFAULT '1' COMMENT '执行策略，1：按日，2：按周，3：按月，4：按间隔时间，默认1',
  `excuteDate` int(11) DEFAULT '0' COMMENT '执行日期，按日：则为0；按周：则为1-7；按月：则为：1-31；按间隔时间：则为间隔时间，单位：秒；默认0',
  `excuteTime` varchar(10) DEFAULT '00' COMMENT '执行时间，格式：HH:mm，默认：00:00',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注',
  `lastExcuteHost` varchar(32) DEFAULT NULL COMMENT '最后执行主机',
  `lastExcuteTime` datetime DEFAULT NULL COMMENT '最后执行时间',
  `interimExcuteStatus` tinyint(2) DEFAULT '0' COMMENT '临时执行状态，0：未启用，1：立即执行并保留，2：立即执行并删除，默认0',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) DEFAULT NULL COMMENT '创建用户名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='任务信息';

-- ----------------------------
-- Table structure for mortals_xhx_uploadfile
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_uploadfile`;
CREATE TABLE `mortals_xhx_uploadfile` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID，主键，自增长',
  `fileName` varchar(50) DEFAULT NULL COMMENT '文件名称',
  `filePath` varchar(100) DEFAULT NULL COMMENT '文件路径',
  `fileType` tinyint(2) DEFAULT NULL COMMENT '文件类型，1 excel ,2 img,3 zip, 4 pdf',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUser` varchar(50) DEFAULT NULL COMMENT '创建用户',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='上传文件';

-- ----------------------------
-- Table structure for mortals_xhx_user
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_user`;
CREATE TABLE `mortals_xhx_user` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '用户ID，主键，自增长',
  `loginName` varchar(50) CHARACTER SET utf8 DEFAULT NULL COMMENT '登录名',
  `loginPwd` varchar(128) CHARACTER SET utf8 DEFAULT NULL COMMENT '登录密码，使用md5双次加密',
  `loginPwd1` varchar(128) CHARACTER SET utf8 DEFAULT NULL COMMENT '最近一次使用密码，使用md5双次加密',
  `loginPwd2` varchar(128) CHARACTER SET utf8 DEFAULT NULL COMMENT '最近二次使用密码，使用md5双次加密',
  `loginPwd3` varchar(128) CHARACTER SET utf8 DEFAULT NULL COMMENT '最近三次使用密码，使用md5双次加密',
  `loginLimitAddress` varchar(200) CHARACTER SET utf8 DEFAULT NULL COMMENT '登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录',
  `realName` varchar(50) CHARACTER SET utf8 DEFAULT NULL COMMENT '用户名',
  `mobile` varchar(21) CHARACTER SET utf8 DEFAULT NULL COMMENT '用户手机号',
  `phone` varchar(21) CHARACTER SET utf8 DEFAULT NULL COMMENT '用户联系电话',
  `email` varchar(50) CHARACTER SET utf8 DEFAULT NULL COMMENT '用户邮箱',
  `qq` varchar(20) CHARACTER SET utf8 DEFAULT NULL COMMENT 'QQ号码',
  `userType` tinyint(2) DEFAULT NULL COMMENT '用户类型，0：系统用户 1:普通用户 2:工作人员，默认2',
  `siteId` bigint(20) DEFAULT '0' COMMENT '站点id',
  `status` tinyint(2) DEFAULT '1' COMMENT '用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1',
  `customerId` bigint(20) DEFAULT NULL COMMENT '客户ID',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) CHARACTER SET utf8 DEFAULT NULL COMMENT '创建用户名称',
  `lastLoginTime` datetime DEFAULT NULL COMMENT '最后一次登录时间',
  `lastLoginAddress` varchar(21) CHARACTER SET utf8 DEFAULT NULL COMMENT '最后一次登录地址',
  `lastModPwdTime` datetime DEFAULT NULL COMMENT '最后修改密码时间',
  `lastModPwdAddr` varchar(21) CHARACTER SET utf8 DEFAULT NULL COMMENT '最后修改密码地址',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `idx_loginName` (`loginName`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=ujis ROW_FORMAT=DYNAMIC COMMENT='用户信息';

-- ----------------------------
-- Table structure for mortals_xhx_user_collect
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_user_collect`;
CREATE TABLE `mortals_xhx_user_collect` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `userId` bigint(20) DEFAULT NULL COMMENT '用户id',
  `collectType` tinyint(2) DEFAULT '1' COMMENT '收藏类型1单事项2一件事',
  `collectName` varchar(128) DEFAULT NULL COMMENT '收藏名称',
  `collectUrl` varchar(128) DEFAULT NULL COMMENT '收藏链接',
  `businessId` varchar(64) DEFAULT NULL COMMENT '收藏关联业务id',
  `createUserId` bigint(20) NOT NULL COMMENT '创建用户',
  `createTime` datetime NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户收藏夹';

-- ----------------------------
-- Table structure for mortals_xhx_valid_code
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_valid_code`;
CREATE TABLE `mortals_xhx_valid_code` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID，主键，自增长',
  `code` varchar(10) DEFAULT NULL COMMENT '验证码',
  `url` varchar(500) DEFAULT NULL COMMENT '校验地址，email校验使用',
  `mobile` varchar(21) DEFAULT NULL COMMENT '校验手机号',
  `email` varchar(50) DEFAULT NULL COMMENT '校验邮箱',
  `type` tinyint(2) DEFAULT '0' COMMENT '校验方式，0：图片校验，1：手机校验，2：邮箱校验，默认0',
  `sessionId` varchar(50) DEFAULT NULL COMMENT '会话ID',
  `ip` varchar(50) DEFAULT NULL COMMENT 'IP地址',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `lapseTime` datetime DEFAULT NULL COMMENT '失效时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='验证码信息';
