package com.mortals.xhx.common.utils;

import com.alibaba.fastjson.JSONObject;
import com.mortals.xhx.module.apply.model.MatterApplyDatumEntity;
import com.mortals.xhx.module.apply.model.MatterApplyDatumQuery;
import com.mortals.xhx.module.apply.model.MatterApplyEntity;
import com.mortals.xhx.module.apply.service.MatterApplyDatumService;
import com.mortals.xhx.module.apply.service.MatterApplyService;
import lombok.extern.slf4j.Slf4j;
import org.java_websocket.client.WebSocketClient;
import org.java_websocket.handshake.ServerHandshake;
import java.net.URI;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Slf4j
public class CustomerWebSocketClient extends WebSocketClient {

    private MatterApplyDatumService matterApplyDatumService;
    private MatterApplyService matterApplyService;

    private Long ApplyDatumId;

    private Long currentTime;

    private Long currentTime1;

    public boolean onMessage = false;

    public MatterApplyService getMatterApplyService() {
        return matterApplyService;
    }

    public void setMatterApplyService(MatterApplyService matterApplyService) {
        this.matterApplyService = matterApplyService;
    }

    public MatterApplyDatumService getMatterApplyDatumService() {
        return matterApplyDatumService;
    }

    public void setMatterApplyDatumService(MatterApplyDatumService matterApplyDatumService) {
        this.matterApplyDatumService = matterApplyDatumService;
    }

    public Long getApplyDatumId() {
        return ApplyDatumId;
    }

    public void setApplyDatumId(Long applyDatumId) {
        ApplyDatumId = applyDatumId;
    }

    public Long getCurrentTime() {
        return currentTime;
    }

    public void setCurrentTime(Long currentTime) {
        this.currentTime = currentTime;
    }

    public CustomerWebSocketClient(URI serverUri) {
        super(serverUri);
    }

    @Override
    public void onOpen(ServerHandshake handshake) {
        log.info("连接已建立:");
        currentTime1 = System.currentTimeMillis();
    }

    @Override
    public void onMessage(String message) {
        this.close();
        log.info("收到消息: " + message);
        //log.info("耗时间:"+(System.currentTimeMillis()-currentTime1));
        //System.out.println("ApplyDatumId: " + ApplyDatumId);
        JSONObject jsonObject = JSONObject.parseObject(message);
        log.info("serial_number: " + jsonObject.getLongValue("serial_number"));
        Long serial_number = jsonObject.getLongValue("serial_number");
        log.info("耗时:"+(System.currentTimeMillis()-currentTime)+"毫秒");
        if(null != matterApplyDatumService && null != matterApplyService){
            MatterApplyDatumEntity datumEntity = matterApplyDatumService.get(serial_number);
            boolean apply = true;
            String mandatoryFields="";
            if(jsonObject.getIntValue("code")==0) {
                JSONObject result = JSONObject.parseObject(jsonObject.getString("result"));
                MatterApplyDatumEntity update = new MatterApplyDatumEntity();
                update.setId(datumEntity.getId());
                if(result.getBooleanValue("Consistency")) {
                    update.setReviewStatus(1);
                }else {
                    update.setReviewStatus(2);
                    mandatoryFields = result.getString("AdditionalComments");
                    apply = false;
                }
                update.setUpdateTime(new Date());
                matterApplyDatumService.update(update);
            }else {
                MatterApplyDatumEntity update = new MatterApplyDatumEntity();
                update.setId(datumEntity.getId());
                update.setReviewStatus(2);
                update.setUpdateTime(new Date());
                matterApplyDatumService.update(update);
                apply = false;
            }
            if(apply){
                MatterApplyEntity applyEntity = matterApplyService.get(datumEntity.getApplyId());
                List<MatterApplyDatumEntity> list = matterApplyDatumService.find(new MatterApplyDatumQuery().applyId(applyEntity.getId()));
                for(MatterApplyDatumEntity item:list){
                    if(item.getReviewStatus()==2){
                        apply = false;
                    }
                }
                MatterApplyEntity update = new MatterApplyEntity();
                update.setId(applyEntity.getId());
                if(apply) {
                    update.setApplyState(4);
                }else {
                    update.setApplyState(2);
                    if(StringUtils.isNotEmpty(mandatoryFields)) {
                        update.setAdvisement(applyEntity.getAdvisement() + mandatoryFields + ";");
                    }
                }
                update.setUpdateTime(new Date());

                matterApplyService.getDao().update(update);
            }else {
                MatterApplyEntity applyEntity = matterApplyService.get(datumEntity.getApplyId());
                MatterApplyEntity update = new MatterApplyEntity();
                update.setId(applyEntity.getId());
                update.setApplyState(2);
                if(StringUtils.isNotEmpty(mandatoryFields)) {
                    update.setAdvisement(applyEntity.getAdvisement() + mandatoryFields + ";");
                }
                update.setUpdateTime(new Date());
                matterApplyService.getDao().update(update);
            }
        }
    }

    @Override
    public void onClose(int code, String reason, boolean remote) {
        log.info("连接关闭: " + reason);
    }

    @Override
    public void onError(Exception ex) {
        ex.printStackTrace();
    }

    // 调用示例
    public static void main(String[] args) throws Exception {
        URI uri = new URI("ws://192.168.0.236:8765/mma");
        CustomerWebSocketClient webSocketClient = new CustomerWebSocketClient(uri);
        webSocketClient.connect();
        System.out.println("webSocketClient.connect()");


        Map<String,String> processUserImage = new HashMap<>();
        processUserImage.put("action","pre_review");
        String template_image_url = ImageToBase64Converter.convertToBase64("C:\\Users\\pisces\\Desktop\\1.png");
        System.out.println(template_image_url);
        processUserImage.put("template_image_url",template_image_url);
        String user_image_url = ImageToBase64Converter.convertToBase64("C:\\Users\\pisces\\Desktop\\2.jpg");
        System.out.println(user_image_url);
        processUserImage.put("user_image_url",user_image_url);


        String system_prompt = "你是一个高度准确和详细的助手，负责审查和验证用户填写的应用表单是否与提供的模板一致。你的任务是执行以下检查：\n" +
                "\n" +
                "                    1. **模板一致性**：验证用户填写的表单是否与提供的模板相同。确保表单名称和结构完全匹配。\n" +
                "                    2. **必填字段**：检查模板中标记为必填（例如，红色标注）的所有字段是否在用户填写的表单中正确填写。\n" +
                "                    3. **数据准确性**：确保用户填写的表单中的数据格式和值与模板中的预期一致。\n" +
                "                    4. **格式**：验证用户填写的表单的格式是否与模板一致，包括字体大小、样式和布局。\n" +
                "                    5. **附加评论**：提供任何附加评论或改进建议（如果有）。";
        processUserImage.put("system_prompt",system_prompt);
        String user_prompt = "第一张图片是申请表格的示范填写模板，第二张图片是申请者填写提交的申请表格。请按照以下步骤进行审核，并以JSON格式返回结果：\n" +
                "\n" +
                "                    1. **模板一致性**：首先判断第二张图片中的表格是否与第一张图片中的模板表格相同，包括表格名称和结构是否完全一致。\n" +
                "                    2. **必填字段**：检查第一张图片中标记为必填（例如，红色标注）的所有字段，在第二张图片中是否已正确填写。\n" +
                "                    3. **数据准确性**：确保第二张图片中填写的数据格式和值与第一张图片中的模板一致。\n" +
                "                    4. **格式**：验证第二张图片中的表格格式是否与第一张图片中的模板一致，包括字体大小、样式和布局。\n" +
                "                    5. **附加评论**：提供任何附加评论或改进建议（如果有）。\n" +
                "                    \n" +
                "                    请严格按照以下JSON格式返回审核结果，不要返回json以外的任何内容，并且不要返回任何提示信息。\n" +
                "                    {\n" +
                "                        \"code\": \"1\",\n" +
                "                        \"result\":\n" +
                "                        {\n" +
                "                        \"Consistency\": \"[true/false]\",\n" +
                "                        \"Mandatory Fields\": [\"List of missing or incorrect fields\"],\n" +
                "                        \"Data Accuracy\": [\"List of fields with incorrect data\"],\n" +
                "                        \"Formatting\": [\"List of formatting issues\"],\n" +
                "                        \"Additional Comments\": \"Any additional comments or suggestions\"\n" +
                "                        }\n" +
                "                    }";
        processUserImage.put("user_prompt",user_prompt);
        processUserImage.put("serial_number","123456");
        webSocketClient.setApplyDatumId(123456L);
        Thread.sleep(2000);
        //System.out.println(JSONObject.toJSONString(processUserImage));

        if(webSocketClient.isOpen()) {
            //
            System.out.println("client.send");
            System.out.println("时间:" + System.currentTimeMillis());
            webSocketClient.setCurrentTime(System.currentTimeMillis());
            webSocketClient.send(JSONObject.toJSONString(processUserImage)); // 发送消息
        }
        //Thread.sleep(1000);
        // 关闭连接
        //client.close();
    }
}

