package com.mortals.xhx.common.utils;

import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.Base64;

public class ImageToBase64Converter {
    public static String convertToBase64(String imagePath) {
        String base64Image = "";
        String suffix = imagePath.substring(imagePath.lastIndexOf(".") + 1);
        String dataScheme = "";
        switch (suffix){
            case "jpg":
                dataScheme = "data:image/jpg;base64,";
                break;
            case "jpeg":
                dataScheme = "data:image/jpeg;base64,";
                break;
            case "png":
                dataScheme = "data:image/png;base64,";
                break;
            case "gif":
                dataScheme = "data:image/gif;base64,";
                break;
            case "icon":
                dataScheme = "data:image/icon;base64,";
                break;
            default:
                dataScheme = "data:image/jpg;base64,";
                break;
        }
        try {
            Path path = Paths.get(imagePath);
            byte[] imageBytes = Files.readAllBytes(path);
            base64Image = Base64.getEncoder().encodeToString(imageBytes);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return dataScheme + base64Image;
    }
}
