package com.mortals.xhx.module.apply.service.impl;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.util.StringUtils;
import com.mortals.xhx.base.system.user.model.UserEntity;
import com.mortals.xhx.base.system.user.service.UserService;
import com.mortals.xhx.module.apply.dao.ApproverDao;
import com.mortals.xhx.module.apply.model.ApproverEntity;
import com.mortals.xhx.module.apply.model.ApproverQuery;
import com.mortals.xhx.module.apply.service.ApproverService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
* ApproverService
* 单事项审批人员 service实现
*
* @author zxfei
* @date 2023-05-23
*/
@Service("approverService")
@Slf4j
public class ApproverServiceImpl extends AbstractCRUDServiceImpl<ApproverDao, ApproverEntity, Long> implements ApproverService {

    @Autowired
    private UserService userService;


    @Override
    public String getDeptCodeByUser(Long userId) throws AppException {
        UserEntity userEntity = userService.get(userId);
        if(userEntity==null){
            throw new AppException("用户id不正确,找不到对应的用户信息");
        }
        ApproverEntity approverEntity = this.selectOne(new ApproverQuery().loginName(userEntity.getLoginName()));
        if(approverEntity==null){
            throw new AppException("该用户不是预审工作人员");
        }
        if(StringUtils.isEmpty(approverEntity.getDeptCode())){
            throw new AppException("该工作人员没有配置管辖部门");
        }
        return approverEntity.getDeptCode();
    }
}