package com.mortals.xhx.module.single.service.impl;
import com.mortals.framework.model.PageInfo;
import com.mortals.xhx.module.matter.model.MatterDatumEntity;
import com.mortals.xhx.module.matter.model.MatterDatumQuery;
import com.mortals.xhx.module.matter.service.MatterDatumService;
import com.mortals.xhx.module.single.model.SingleMatterFileEntity;
import com.mortals.xhx.module.single.model.SingleMatterFileQuery;
import com.mortals.xhx.module.single.service.SingleMatterFileService;
import com.mortals.xhx.module.site.model.SiteMatterEntity;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.single.dao.SingleMatterDao;
import com.mortals.xhx.module.single.model.SingleMatterEntity;
import com.mortals.xhx.module.single.service.SingleMatterService;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
* SingleMatterService
* 单事项 service实现
*
* @author zxfei
* @date 2023-03-21
*/
@Service("singleMatterService")
public class SingleMatterServiceImpl extends AbstractCRUDServiceImpl<SingleMatterDao, SingleMatterEntity, Long> implements SingleMatterService {

    @Autowired
    private MatterDatumService matterDatumService;
    @Autowired
    private SingleMatterFileService singleMatterFileService;

    @Override
    protected void findAfter(SingleMatterEntity params, PageInfo pageInfo, Context context, List<SingleMatterEntity> list) throws AppException {

        List<MatterDatumEntity> matterDatumFileEntities = matterDatumService.getMatterDatumCount();
        Map<Long,Integer> datumCountMap = new HashMap<>();
        for (MatterDatumEntity item:matterDatumFileEntities){
            datumCountMap.put(item.getMatterId(),item.getCount());
        }
        list.stream().peek(item->{
//            List<MatterDatumEntity> matterDatumFileEntities = matterDatumService.find(new MatterDatumQuery().matterId(item.getMatterId()));
//            if(CollectionUtils.isNotEmpty(matterDatumFileEntities)) {
//                item.setDatumCount(matterDatumFileEntities.size());
//            }else {
//                item.setDatumCount(0);
//            }
            if(datumCountMap.containsKey(item.getMatterId())){
                item.setDatumCount(datumCountMap.get(item.getMatterId()));
            }else {
                item.setDatumCount(0);
            }
            SingleMatterFileEntity singleMatterFileEntity = singleMatterFileService.selectOne(new SingleMatterFileQuery().matterId(item.getMatterId()));
            if(singleMatterFileEntity!=null){
                item.setHasApplyForm(1);
                item.setApplyFormUrl(singleMatterFileEntity.getFileUrl());
                item.setApplyFormFileName(singleMatterFileEntity.getFilename());
            }
        }).count();
        super.findAfter(params, context, list);
    }

    @Override
    protected void findAfter(SingleMatterEntity params, Context context, List<SingleMatterEntity> list) throws AppException {
        List<MatterDatumEntity> matterDatumFileEntities = matterDatumService.getMatterDatumCount();
        Map<Long,Integer> datumCountMap = new HashMap<>();
        for (MatterDatumEntity item:matterDatumFileEntities){
            datumCountMap.put(item.getMatterId(),item.getCount());
        }
        list.stream().peek(item->{
//            List<MatterDatumEntity> matterDatumFileEntities = matterDatumService.find(new MatterDatumQuery().matterId(item.getMatterId()));
//            if(CollectionUtils.isNotEmpty(matterDatumFileEntities)) {
//                item.setDatumCount(matterDatumFileEntities.size());
//            }else {
//                item.setDatumCount(0);
//            }
            if(datumCountMap.containsKey(item.getMatterId())){
                item.setDatumCount(datumCountMap.get(item.getMatterId()));
            }else {
                item.setDatumCount(0);
            }
            SingleMatterFileEntity singleMatterFileEntity = singleMatterFileService.selectOne(new SingleMatterFileQuery().matterId(item.getMatterId()));
            if(singleMatterFileEntity!=null){
                item.setHasApplyForm(1);
                item.setApplyFormUrl(singleMatterFileEntity.getFileUrl());
                item.setApplyFormFileName(singleMatterFileEntity.getFilename());
            }
        }).count();
        super.findAfter(params, context, list);
    }

    @Override
    public void addViewsCount(Long id) {
        Map<String,Object> data = new HashMap<>();
        data.put("viewsCountIncrement",1);
        Map<String,Object> condition = new HashMap<>();
        condition.put("id",id);
        dao.update(data,condition);
    }
}