package com.mortals.xhx.module.site.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.site.model.vo.SiteDatumLibraryVo;
/**
 * 站点材料公共库实体对象
 *
 * @author zxfei
 * @date 2023-03-11
 */

public class SiteDatumLibraryEntity extends SiteDatumLibraryVo {
    private static final long serialVersionUID = 1L;

    /**
     * 站点id
     */
    private Long siteId;
    /**
     * 站点名称
     */
    private String siteName;
    /**
     * 事项基础表matter id
     */
    private Long matterId;
    /**
     * 事项编码
     */
    private String matterCode;
    /**
     * 事项名称
     */
    private String matterName;
    /**
     * 材料名
     */
    private String materialName;
    /**
     * 必交性（1.非必要，2.必要，3.必要|容缺后补，4.非必要|容缺后补）
     */
    private String isMust;
    /**
     * 材料类型（1.无，2.原件，3.复印件，4.原件和复印件)
     */
    private String materialType;
    /**
     * 材料形式（1.纸质，2.电子，3.纸质|电子）
     */
    private String materialProperty;
    /**
     * 电子材料格式（1.无，2.不限，3.jpg，4.jpeg，5.pdf，6.word，7.pdf,jpg,jpeg，8.pdf,jpg）
     */
    private String electronicgs;
    /**
     * 材料来源渠道（1.无，2.申请人自备，3.政府部门核发，4.其他）
     */
    private String materialSource;
    /**
     * 纸质材料份数
     */
    private Integer paperNum;
    /**
     * 纸质材料规格
     */
    private String paperGg;
    /**
     * 减免模式（1.无，2.减，3.免）
     */
    private String jianmMs;
    /**
     * 盖章方式
     */
    private String sealWay;
    /**
     * 是否减免（0.否，1.是）
     */
    private String isjianm;
    /**
     * 材料是否容缺（1.必要，2.非必要）
     */
    private String isLack;
    /**
     * 材料地址
     */
    private String ybUrl;
    /**
     * 来源渠道说明
     */
    private String materialSourceSm;
    /**
     * 填报须知
     */
    private String remarkSub;
    /**
     * 要求提供材料的依据
     */
    private String clauseContent;
    /**
     * 受理标准
     */
    private String summary;
    /**
     * 备注
     */
    private String remark;
    /**
     * 事项来源(0.政务网，1.自定义)
     */
    private Integer source;
    /**
     * 材料id
     */
    private Long datumId;



    public SiteDatumLibraryEntity(){}
    /**
     * 获取 站点id
     * @return Long
     */
    public Long getSiteId(){
        return siteId;
    }
    /**
     * 设置 站点id
     * @param siteId
     */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
     * 获取 站点名称
     * @return String
     */
    public String getSiteName(){
        return siteName;
    }
    /**
     * 设置 站点名称
     * @param siteName
     */
    public void setSiteName(String siteName){
        this.siteName = siteName;
    }
    /**
     * 获取 事项基础表matter id
     * @return Long
     */
    public Long getMatterId(){
        return matterId;
    }
    /**
     * 设置 事项基础表matter id
     * @param matterId
     */
    public void setMatterId(Long matterId){
        this.matterId = matterId;
    }
    /**
     * 获取 事项编码
     * @return String
     */
    public String getMatterCode(){
        return matterCode;
    }
    /**
     * 设置 事项编码
     * @param matterCode
     */
    public void setMatterCode(String matterCode){
        this.matterCode = matterCode;
    }
    /**
     * 获取 事项名称
     * @return String
     */
    public String getMatterName(){
        return matterName;
    }
    /**
     * 设置 事项名称
     * @param matterName
     */
    public void setMatterName(String matterName){
        this.matterName = matterName;
    }
    /**
     * 获取 材料名
     * @return String
     */
    public String getMaterialName(){
        return materialName;
    }
    /**
     * 设置 材料名
     * @param materialName
     */
    public void setMaterialName(String materialName){
        this.materialName = materialName;
    }
    /**
     * 获取 必交性（1.非必要，2.必要，3.必要|容缺后补，4.非必要|容缺后补）
     * @return String
     */
    public String getIsMust(){
        return isMust;
    }
    /**
     * 设置 必交性（1.非必要，2.必要，3.必要|容缺后补，4.非必要|容缺后补）
     * @param isMust
     */
    public void setIsMust(String isMust){
        this.isMust = isMust;
    }
    /**
     * 获取 材料类型（1.无，2.原件，3.复印件，4.原件和复印件)
     * @return String
     */
    public String getMaterialType(){
        return materialType;
    }
    /**
     * 设置 材料类型（1.无，2.原件，3.复印件，4.原件和复印件)
     * @param materialType
     */
    public void setMaterialType(String materialType){
        this.materialType = materialType;
    }
    /**
     * 获取 材料形式（1.纸质，2.电子，3.纸质|电子）
     * @return String
     */
    public String getMaterialProperty(){
        return materialProperty;
    }
    /**
     * 设置 材料形式（1.纸质，2.电子，3.纸质|电子）
     * @param materialProperty
     */
    public void setMaterialProperty(String materialProperty){
        this.materialProperty = materialProperty;
    }
    /**
     * 获取 电子材料格式（1.无，2.不限，3.jpg，4.jpeg，5.pdf，6.word，7.pdf,jpg,jpeg，8.pdf,jpg）
     * @return String
     */
    public String getElectronicgs(){
        return electronicgs;
    }
    /**
     * 设置 电子材料格式（1.无，2.不限，3.jpg，4.jpeg，5.pdf，6.word，7.pdf,jpg,jpeg，8.pdf,jpg）
     * @param electronicgs
     */
    public void setElectronicgs(String electronicgs){
        this.electronicgs = electronicgs;
    }
    /**
     * 获取 材料来源渠道（1.无，2.申请人自备，3.政府部门核发，4.其他）
     * @return String
     */
    public String getMaterialSource(){
        return materialSource;
    }
    /**
     * 设置 材料来源渠道（1.无，2.申请人自备，3.政府部门核发，4.其他）
     * @param materialSource
     */
    public void setMaterialSource(String materialSource){
        this.materialSource = materialSource;
    }
    /**
     * 获取 纸质材料份数
     * @return Integer
     */
    public Integer getPaperNum(){
        return paperNum;
    }
    /**
     * 设置 纸质材料份数
     * @param paperNum
     */
    public void setPaperNum(Integer paperNum){
        this.paperNum = paperNum;
    }
    /**
     * 获取 纸质材料规格
     * @return String
     */
    public String getPaperGg(){
        return paperGg;
    }
    /**
     * 设置 纸质材料规格
     * @param paperGg
     */
    public void setPaperGg(String paperGg){
        this.paperGg = paperGg;
    }
    /**
     * 获取 减免模式（1.无，2.减，3.免）
     * @return String
     */
    public String getJianmMs(){
        return jianmMs;
    }
    /**
     * 设置 减免模式（1.无，2.减，3.免）
     * @param jianmMs
     */
    public void setJianmMs(String jianmMs){
        this.jianmMs = jianmMs;
    }
    /**
     * 获取 盖章方式
     * @return String
     */
    public String getSealWay(){
        return sealWay;
    }
    /**
     * 设置 盖章方式
     * @param sealWay
     */
    public void setSealWay(String sealWay){
        this.sealWay = sealWay;
    }
    /**
     * 获取 是否减免（0.否，1.是）
     * @return String
     */
    public String getIsjianm(){
        return isjianm;
    }
    /**
     * 设置 是否减免（0.否，1.是）
     * @param isjianm
     */
    public void setIsjianm(String isjianm){
        this.isjianm = isjianm;
    }
    /**
     * 获取 材料是否容缺（1.必要，2.非必要）
     * @return String
     */
    public String getIsLack(){
        return isLack;
    }
    /**
     * 设置 材料是否容缺（1.必要，2.非必要）
     * @param isLack
     */
    public void setIsLack(String isLack){
        this.isLack = isLack;
    }
    /**
     * 获取 材料地址
     * @return String
     */
    public String getYbUrl(){
        return ybUrl;
    }
    /**
     * 设置 材料地址
     * @param ybUrl
     */
    public void setYbUrl(String ybUrl){
        this.ybUrl = ybUrl;
    }
    /**
     * 获取 来源渠道说明
     * @return String
     */
    public String getMaterialSourceSm(){
        return materialSourceSm;
    }
    /**
     * 设置 来源渠道说明
     * @param materialSourceSm
     */
    public void setMaterialSourceSm(String materialSourceSm){
        this.materialSourceSm = materialSourceSm;
    }
    /**
     * 获取 填报须知
     * @return String
     */
    public String getRemarkSub(){
        return remarkSub;
    }
    /**
     * 设置 填报须知
     * @param remarkSub
     */
    public void setRemarkSub(String remarkSub){
        this.remarkSub = remarkSub;
    }
    /**
     * 获取 要求提供材料的依据
     * @return String
     */
    public String getClauseContent(){
        return clauseContent;
    }
    /**
     * 设置 要求提供材料的依据
     * @param clauseContent
     */
    public void setClauseContent(String clauseContent){
        this.clauseContent = clauseContent;
    }
    /**
     * 获取 受理标准
     * @return String
     */
    public String getSummary(){
        return summary;
    }
    /**
     * 设置 受理标准
     * @param summary
     */
    public void setSummary(String summary){
        this.summary = summary;
    }
    /**
     * 获取 备注
     * @return String
     */
    public String getRemark(){
        return remark;
    }
    /**
     * 设置 备注
     * @param remark
     */
    public void setRemark(String remark){
        this.remark = remark;
    }
    /**
     * 获取 事项来源(0.政务网，1.自定义)
     * @return Integer
     */
    public Integer getSource(){
        return source;
    }
    /**
     * 设置 事项来源(0.政务网，1.自定义)
     * @param source
     */
    public void setSource(Integer source){
        this.source = source;
    }
    /**
     * 获取 材料id
     * @return Long
     */
    public Long getDatumId(){
        return datumId;
    }
    /**
     * 设置 材料id
     * @param datumId
     */
    public void setDatumId(Long datumId){
        this.datumId = datumId;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SiteDatumLibraryEntity) {
            SiteDatumLibraryEntity tmp = (SiteDatumLibraryEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",siteId:").append(getSiteId());
        sb.append(",siteName:").append(getSiteName());
        sb.append(",matterId:").append(getMatterId());
        sb.append(",matterCode:").append(getMatterCode());
        sb.append(",matterName:").append(getMatterName());
        sb.append(",materialName:").append(getMaterialName());
        sb.append(",isMust:").append(getIsMust());
        sb.append(",materialType:").append(getMaterialType());
        sb.append(",materialProperty:").append(getMaterialProperty());
        sb.append(",electronicgs:").append(getElectronicgs());
        sb.append(",materialSource:").append(getMaterialSource());
        sb.append(",paperNum:").append(getPaperNum());
        sb.append(",paperGg:").append(getPaperGg());
        sb.append(",jianmMs:").append(getJianmMs());
        sb.append(",sealWay:").append(getSealWay());
        sb.append(",isjianm:").append(getIsjianm());
        sb.append(",isLack:").append(getIsLack());
        sb.append(",ybUrl:").append(getYbUrl());
        sb.append(",materialSourceSm:").append(getMaterialSourceSm());
        sb.append(",remarkSub:").append(getRemarkSub());
        sb.append(",clauseContent:").append(getClauseContent());
        sb.append(",summary:").append(getSummary());
        sb.append(",remark:").append(getRemark());
        sb.append(",source:").append(getSource());
        sb.append(",datumId:").append(getDatumId());
        return sb.toString();
    }

    public void initAttrValue(){

        this.siteId = null;

        this.siteName = "";

        this.matterId = null;

        this.matterCode = "";

        this.matterName = "";

        this.materialName = "";

        this.isMust = "1";

        this.materialType = "1";

        this.materialProperty = "1";

        this.electronicgs = "1";

        this.materialSource = "1";

        this.paperNum = 1;

        this.paperGg = "";

        this.jianmMs = "1";

        this.sealWay = "";

        this.isjianm = "1";

        this.isLack = "1";

        this.ybUrl = "";

        this.materialSourceSm = "";

        this.remarkSub = "";

        this.clauseContent = "";

        this.summary = "";

        this.remark = "";

        this.source = 0;

        this.datumId = null;
    }
}